/// Access to known geographies in Antarctica and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';

/// The country of `🇦🇶 Antarctica`, and its 0 states
const Country antarctica = Country(
    id: 9,
    name: "Antarctica",
    longitude: 4.48,
    latitude: -74.65,
    capital: "",
    currency: "AAD",
    currencySymbol: "\$",
    emoji: "🇦🇶",
    emojiU: "U+1F1E6 U+1F1F6",
    iso2: "AQ",
    iso3: "ATA",
    native: "Antarctica",
    numericCode: "010",
    phoneCode: "672",
    region: "Polar",
    subregion: "",
    tld: ".aq",
    states: [],
    timezones: [
      Timezone(
          abbreviation: "AWST",
          gmtOffset: 39600,
          gmtOffsetName: "UTC+11:00",
          tzName: "Australian Western Standard Time",
          zoneName: "Antarctica/Casey"),
      Timezone(
          abbreviation: "DAVT",
          gmtOffset: 25200,
          gmtOffsetName: "UTC+07:00",
          tzName: "Davis Time",
          zoneName: "Antarctica/Davis"),
      Timezone(
          abbreviation: "DDUT",
          gmtOffset: 36000,
          gmtOffsetName: "UTC+10:00",
          tzName: "Dumont d'Urville Time",
          zoneName: "Antarctica/DumontDUrville"),
      Timezone(
          abbreviation: "MAWT",
          gmtOffset: 18000,
          gmtOffsetName: "UTC+05:00",
          tzName: "Mawson Station Time",
          zoneName: "Antarctica/Mawson"),
      Timezone(
          abbreviation: "NZDT",
          gmtOffset: 46800,
          gmtOffsetName: "UTC+13:00",
          tzName: "New Zealand Daylight Time",
          zoneName: "Antarctica/McMurdo"),
      Timezone(
          abbreviation: "CLST",
          gmtOffset: -10800,
          gmtOffsetName: "UTC-03:00",
          tzName: "Chile Summer Time",
          zoneName: "Antarctica/Palmer"),
      Timezone(
          abbreviation: "ROTT",
          gmtOffset: -10800,
          gmtOffsetName: "UTC-03:00",
          tzName: "Rothera Research Station Time",
          zoneName: "Antarctica/Rothera"),
      Timezone(
          abbreviation: "SYOT",
          gmtOffset: 10800,
          gmtOffsetName: "UTC+03:00",
          tzName: "Showa Station Time",
          zoneName: "Antarctica/Syowa"),
      Timezone(
          abbreviation: "GMT",
          gmtOffset: 0,
          gmtOffsetName: "UTC±00",
          tzName: "Greenwich Mean Time",
          zoneName: "Antarctica/Troll"),
      Timezone(
          abbreviation: "VOST",
          gmtOffset: 21600,
          gmtOffsetName: "UTC+06:00",
          tzName: "Vostok Station Time",
          zoneName: "Antarctica/Vostok")
    ],
    translations: {
      "kr": "남극",
      "br": "Antártida",
      "pt": "Antárctida",
      "nl": "Antarctica",
      "hr": "Antarktika",
      "fa": "جنوبگان",
      "de": "Antarktika",
      "es": "Antártida",
      "fr": "Antarctique",
      "ja": "南極大陸",
      "it": "Antartide",
      "cn": "南极洲"
    });
