/// Access to known geographies in Australia and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'australia_states.dart';

/// The country of `🇦🇺 Australia`, and its 8 states
const Country australia = Country(
    id: 14,
    name: "Australia",
    longitude: 133.0,
    latitude: -27.0,
    capital: "Canberra",
    currency: "AUD",
    currencySymbol: "\$",
    emoji: "🇦🇺",
    emojiU: "U+1F1E6 U+1F1FA",
    iso2: "AU",
    iso3: "AUS",
    native: "Australia",
    numericCode: "036",
    phoneCode: "61",
    region: "Oceania",
    subregion: "Australia and New Zealand",
    tld: ".au",
    states: [
      australiaAustralianCapitalTerritory,
      australiaNewSouthWales,
      australiaNorthernTerritory,
      australiaQueensland,
      australiaSouthAustralia,
      australiaTasmania,
      australiaVictoria,
      australiaWesternAustralia
    ],
    timezones: [
      Timezone(
          abbreviation: "MIST",
          gmtOffset: 39600,
          gmtOffsetName: "UTC+11:00",
          tzName: "Macquarie Island Station Time",
          zoneName: "Antarctica/Macquarie"),
      Timezone(
          abbreviation: "ACDT",
          gmtOffset: 37800,
          gmtOffsetName: "UTC+10:30",
          tzName: "Australian Central Daylight Saving Time",
          zoneName: "Australia/Adelaide"),
      Timezone(
          abbreviation: "AEST",
          gmtOffset: 36000,
          gmtOffsetName: "UTC+10:00",
          tzName: "Australian Eastern Standard Time",
          zoneName: "Australia/Brisbane"),
      Timezone(
          abbreviation: "ACDT",
          gmtOffset: 37800,
          gmtOffsetName: "UTC+10:30",
          tzName: "Australian Central Daylight Saving Time",
          zoneName: "Australia/Broken_Hill"),
      Timezone(
          abbreviation: "AEDT",
          gmtOffset: 39600,
          gmtOffsetName: "UTC+11:00",
          tzName: "Australian Eastern Daylight Saving Time",
          zoneName: "Australia/Currie"),
      Timezone(
          abbreviation: "ACST",
          gmtOffset: 34200,
          gmtOffsetName: "UTC+09:30",
          tzName: "Australian Central Standard Time",
          zoneName: "Australia/Darwin"),
      Timezone(
          abbreviation: "ACWST",
          gmtOffset: 31500,
          gmtOffsetName: "UTC+08:45",
          tzName: "Australian Central Western Standard Time (Unofficial)",
          zoneName: "Australia/Eucla"),
      Timezone(
          abbreviation: "AEDT",
          gmtOffset: 39600,
          gmtOffsetName: "UTC+11:00",
          tzName: "Australian Eastern Daylight Saving Time",
          zoneName: "Australia/Hobart"),
      Timezone(
          abbreviation: "AEST",
          gmtOffset: 36000,
          gmtOffsetName: "UTC+10:00",
          tzName: "Australian Eastern Standard Time",
          zoneName: "Australia/Lindeman"),
      Timezone(
          abbreviation: "LHST",
          gmtOffset: 39600,
          gmtOffsetName: "UTC+11:00",
          tzName: "Lord Howe Summer Time",
          zoneName: "Australia/Lord_Howe"),
      Timezone(
          abbreviation: "AEDT",
          gmtOffset: 39600,
          gmtOffsetName: "UTC+11:00",
          tzName: "Australian Eastern Daylight Saving Time",
          zoneName: "Australia/Melbourne"),
      Timezone(
          abbreviation: "AWST",
          gmtOffset: 28800,
          gmtOffsetName: "UTC+08:00",
          tzName: "Australian Western Standard Time",
          zoneName: "Australia/Perth"),
      Timezone(
          abbreviation: "AEDT",
          gmtOffset: 39600,
          gmtOffsetName: "UTC+11:00",
          tzName: "Australian Eastern Daylight Saving Time",
          zoneName: "Australia/Sydney")
    ],
    translations: {
      "kr": "호주",
      "br": "Austrália",
      "pt": "Austrália",
      "nl": "Australië",
      "hr": "Australija",
      "fa": "استرالیا",
      "de": "Australien",
      "es": "Australia",
      "fr": "Australie",
      "ja": "オーストラリア",
      "it": "Australia",
      "cn": "澳大利亚"
    });
