/// Access to known geographies in Bahrain and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'bahrain_states.dart';

/// The country of `🇧🇭 Bahrain`, and its 5 states
const Country bahrain = Country(
    id: 18,
    name: "Bahrain",
    longitude: 50.55,
    latitude: 26.0,
    capital: "Manama",
    currency: "BHD",
    currencySymbol: ".د.ب",
    emoji: "🇧🇭",
    emojiU: "U+1F1E7 U+1F1ED",
    iso2: "BH",
    iso3: "BHR",
    native: "‏البحرين",
    numericCode: "048",
    phoneCode: "973",
    region: "Asia",
    subregion: "Western Asia",
    tld: ".bh",
    states: [
      bahrainCapitalGovernorate,
      bahrainCentralGovernorate,
      bahrainMuharraqGovernorate,
      bahrainNorthernGovernorate,
      bahrainSouthernGovernorate
    ],
    timezones: [
      Timezone(
          abbreviation: "AST",
          gmtOffset: 10800,
          gmtOffsetName: "UTC+03:00",
          tzName: "Arabia Standard Time",
          zoneName: "Asia/Bahrain")
    ],
    translations: {
      "kr": "바레인",
      "br": "Bahrein",
      "pt": "Barém",
      "nl": "Bahrein",
      "hr": "Bahrein",
      "fa": "بحرین",
      "de": "Bahrain",
      "es": "Bahrein",
      "fr": "Bahreïn",
      "ja": "バーレーン",
      "it": "Bahrein",
      "cn": "巴林"
    });
