/// Access to known geographies in Bangladesh and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'bangladesh_states.dart';

/// The country of `🇧🇩 Bangladesh`, and its 70 states
const Country bangladesh = Country(
    id: 19,
    name: "Bangladesh",
    longitude: 90.0,
    latitude: 24.0,
    capital: "Dhaka",
    currency: "BDT",
    currencySymbol: "৳",
    emoji: "🇧🇩",
    emojiU: "U+1F1E7 U+1F1E9",
    iso2: "BD",
    iso3: "BGD",
    native: "Bangladesh",
    numericCode: "050",
    phoneCode: "880",
    region: "Asia",
    subregion: "Southern Asia",
    tld: ".bd",
    states: [
      bangladeshBagerhatDistrict,
      bangladeshBahadia,
      bangladeshBandarbanDistrict,
      bangladeshBargunaDistrict,
      bangladeshBarisalDistrict,
      bangladeshBarisalDivision,
      bangladeshBholaDistrict,
      bangladeshBograDistrict,
      bangladeshBrahmanbariaDistrict,
      bangladeshChandpurDistrict,
      bangladeshChapaiNawabganjDistrict,
      bangladeshChittagongDistrict,
      bangladeshChittagongDivision,
      bangladeshChuadangaDistrict,
      bangladeshComillaDistrict,
      bangladeshCoxsBazarDistrict,
      bangladeshDhakaDistrict,
      bangladeshDhakaDivision,
      bangladeshDinajpurDistrict,
      bangladeshFaridpurDistrict,
      bangladeshFeniDistrict,
      bangladeshGaibandhaDistrict,
      bangladeshGazipurDistrict,
      bangladeshGopalganjDistrict,
      bangladeshHabiganjDistrict,
      bangladeshJamalpurDistrict,
      bangladeshJessoreDistrict,
      bangladeshJhalokatiDistrict,
      bangladeshJhenaidahDistrict,
      bangladeshJoypurhatDistrict,
      bangladeshKhagrachariDistrict,
      bangladeshKhulnaDistrict,
      bangladeshKhulnaDivision,
      bangladeshKishoreganjDistrict,
      bangladeshKurigramDistrict,
      bangladeshKushtiaDistrict,
      bangladeshLakshmipurDistrict,
      bangladeshLalmonirhatDistrict,
      bangladeshMadaripurDistrict,
      bangladeshMeherpurDistrict,
      bangladeshMoulvibazarDistrict,
      bangladeshMunshiganjDistrict,
      bangladeshMymensinghDistrict,
      bangladeshMymensinghDivision,
      bangladeshNaogaonDistrict,
      bangladeshNarailDistrict,
      bangladeshNarayanganjDistrict,
      bangladeshNatoreDistrict,
      bangladeshNetrokonaDistrict,
      bangladeshNilphamariDistrict,
      bangladeshNoakhaliDistrict,
      bangladeshPabnaDistrict,
      bangladeshPanchagarhDistrict,
      bangladeshPatuakhaliDistrict,
      bangladeshPirojpurDistrict,
      bangladeshRajbariDistrict,
      bangladeshRajshahiDistrict,
      bangladeshRajshahiDivision,
      bangladeshRangamatiHillDistrict,
      bangladeshRangpurDistrict,
      bangladeshRangpurDivision,
      bangladeshSatkhiraDistrict,
      bangladeshShariatpurDistrict,
      bangladeshSherpurDistrict,
      bangladeshSirajganjDistrict,
      bangladeshSunamganjDistrict,
      bangladeshSylhetDistrict,
      bangladeshSylhetDivision,
      bangladeshTangailDistrict,
      bangladeshThakurgaonDistrict
    ],
    timezones: [
      Timezone(
          abbreviation: "BDT",
          gmtOffset: 21600,
          gmtOffsetName: "UTC+06:00",
          tzName: "Bangladesh Standard Time",
          zoneName: "Asia/Dhaka")
    ],
    translations: {
      "kr": "방글라데시",
      "br": "Bangladesh",
      "pt": "Bangladeche",
      "nl": "Bangladesh",
      "hr": "Bangladeš",
      "fa": "بنگلادش",
      "de": "Bangladesch",
      "es": "Bangladesh",
      "fr": "Bangladesh",
      "ja": "バングラデシュ",
      "it": "Bangladesh",
      "cn": "孟加拉"
    });
