/// Access to known geographies in Bermuda and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'bermuda_states.dart';

/// The country of `🇧🇲 Bermuda`, and its 11 states
const Country bermuda = Country(
    id: 25,
    name: "Bermuda",
    longitude: -64.75,
    latitude: 32.33333333,
    capital: "Hamilton",
    currency: "BMD",
    currencySymbol: "\$",
    emoji: "🇧🇲",
    emojiU: "U+1F1E7 U+1F1F2",
    iso2: "BM",
    iso3: "BMU",
    native: "Bermuda",
    numericCode: "060",
    phoneCode: "+1-441",
    region: "Americas",
    subregion: "Northern America",
    tld: ".bm",
    states: [
      bermudaDevonshireParish,
      bermudaHamiltonMunicipality,
      bermudaHamiltonParish,
      bermudaPagetParish,
      bermudaPembrokeParish,
      bermudaSaintGeorgesMunicipality,
      bermudaSaintGeorgesParish,
      bermudaSandysParish,
      bermudaSmithsParish,
      bermudaSouthamptonParish,
      bermudaWarwickParish
    ],
    timezones: [
      Timezone(
          abbreviation: "AST",
          gmtOffset: -14400,
          gmtOffsetName: "UTC-04:00",
          tzName: "Atlantic Standard Time",
          zoneName: "Atlantic/Bermuda")
    ],
    translations: {
      "kr": "버뮤다",
      "br": "Bermudas",
      "pt": "Bermudas",
      "nl": "Bermuda",
      "hr": "Bermudi",
      "fa": "برمودا",
      "de": "Bermuda",
      "es": "Bermudas",
      "fr": "Bermudes",
      "ja": "バミューダ",
      "it": "Bermuda",
      "cn": "百慕大"
    });
