/// Access to known geographies in Brazil and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'brazil_states.dart';

/// The country of `🇧🇷 Brazil`, and its 27 states
const Country brazil = Country(
    id: 31,
    name: "Brazil",
    longitude: -55.0,
    latitude: -10.0,
    capital: "Brasilia",
    currency: "BRL",
    currencySymbol: "R\$",
    emoji: "🇧🇷",
    emojiU: "U+1F1E7 U+1F1F7",
    iso2: "BR",
    iso3: "BRA",
    native: "Brasil",
    numericCode: "076",
    phoneCode: "55",
    region: "Americas",
    subregion: "South America",
    tld: ".br",
    states: [
      brazilAcre,
      brazilAlagoas,
      brazilAmapa,
      brazilAmazonas,
      brazilBahia,
      brazilCeara,
      brazilDistritoFederal,
      brazilEspiritoSanto,
      brazilGoias,
      brazilMaranhao,
      brazilMatoGrosso,
      brazilMatoGrossoDdoSul,
      brazilMinasGerais,
      brazilPara,
      brazilParaiba,
      brazilParana,
      brazilPernambuco,
      brazilPiaui,
      brazilRioDdeJaneiro,
      brazilRioGrandeDdoNorte,
      brazilRioGrandeDdoSul,
      brazilRondonia,
      brazilRoraima,
      brazilSantaCatarina,
      brazilSaoPaulo,
      brazilSergipe,
      brazilTocantins
    ],
    timezones: [
      Timezone(
          abbreviation: "BRT",
          gmtOffset: -10800,
          gmtOffsetName: "UTC-03:00",
          tzName: "Brasília Time",
          zoneName: "America/Araguaina"),
      Timezone(
          abbreviation: "BRT",
          gmtOffset: -10800,
          gmtOffsetName: "UTC-03:00",
          tzName: "Brasília Time",
          zoneName: "America/Bahia"),
      Timezone(
          abbreviation: "BRT",
          gmtOffset: -10800,
          gmtOffsetName: "UTC-03:00",
          tzName: "Brasília Time",
          zoneName: "America/Belem"),
      Timezone(
          abbreviation: "AMT",
          gmtOffset: -14400,
          gmtOffsetName: "UTC-04:00",
          tzName: "Amazon Time (Brazil)[3",
          zoneName: "America/Boa_Vista"),
      Timezone(
          abbreviation: "AMT",
          gmtOffset: -14400,
          gmtOffsetName: "UTC-04:00",
          tzName: "Amazon Time (Brazil)[3",
          zoneName: "America/Campo_Grande"),
      Timezone(
          abbreviation: "BRT",
          gmtOffset: -14400,
          gmtOffsetName: "UTC-04:00",
          tzName: "Brasilia Time",
          zoneName: "America/Cuiaba"),
      Timezone(
          abbreviation: "ACT",
          gmtOffset: -18000,
          gmtOffsetName: "UTC-05:00",
          tzName: "Acre Time",
          zoneName: "America/Eirunepe"),
      Timezone(
          abbreviation: "BRT",
          gmtOffset: -10800,
          gmtOffsetName: "UTC-03:00",
          tzName: "Brasília Time",
          zoneName: "America/Fortaleza"),
      Timezone(
          abbreviation: "BRT",
          gmtOffset: -10800,
          gmtOffsetName: "UTC-03:00",
          tzName: "Brasília Time",
          zoneName: "America/Maceio"),
      Timezone(
          abbreviation: "AMT",
          gmtOffset: -14400,
          gmtOffsetName: "UTC-04:00",
          tzName: "Amazon Time (Brazil)",
          zoneName: "America/Manaus"),
      Timezone(
          abbreviation: "FNT",
          gmtOffset: -7200,
          gmtOffsetName: "UTC-02:00",
          tzName: "Fernando de Noronha Time",
          zoneName: "America/Noronha"),
      Timezone(
          abbreviation: "AMT",
          gmtOffset: -14400,
          gmtOffsetName: "UTC-04:00",
          tzName: "Amazon Time (Brazil)[3",
          zoneName: "America/Porto_Velho"),
      Timezone(
          abbreviation: "BRT",
          gmtOffset: -10800,
          gmtOffsetName: "UTC-03:00",
          tzName: "Brasília Time",
          zoneName: "America/Recife"),
      Timezone(
          abbreviation: "ACT",
          gmtOffset: -18000,
          gmtOffsetName: "UTC-05:00",
          tzName: "Acre Time",
          zoneName: "America/Rio_Branco"),
      Timezone(
          abbreviation: "BRT",
          gmtOffset: -10800,
          gmtOffsetName: "UTC-03:00",
          tzName: "Brasília Time",
          zoneName: "America/Santarem"),
      Timezone(
          abbreviation: "BRT",
          gmtOffset: -10800,
          gmtOffsetName: "UTC-03:00",
          tzName: "Brasília Time",
          zoneName: "America/Sao_Paulo")
    ],
    translations: {
      "kr": "브라질",
      "br": "Brasil",
      "pt": "Brasil",
      "nl": "Brazilië",
      "hr": "Brazil",
      "fa": "برزیل",
      "de": "Brasilien",
      "es": "Brasil",
      "fr": "Brésil",
      "ja": "ブラジル",
      "it": "Brasile",
      "cn": "巴西"
    });
