/// Access to known geographies in Canada and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'canada_states.dart';

/// The country of `🇨🇦 Canada`, and its 13 states
const Country canada = Country(
    id: 39,
    name: "Canada",
    longitude: -95.0,
    latitude: 60.0,
    capital: "Ottawa",
    currency: "CAD",
    currencySymbol: "\$",
    emoji: "🇨🇦",
    emojiU: "U+1F1E8 U+1F1E6",
    iso2: "CA",
    iso3: "CAN",
    native: "Canada",
    numericCode: "124",
    phoneCode: "1",
    region: "Americas",
    subregion: "Northern America",
    tld: ".ca",
    states: [
      canadaAlberta,
      canadaBritishColumbia,
      canadaManitoba,
      canadaNewBrunswick,
      canadaNewfoundlandAandLabrador,
      canadaNorthwestTerritories,
      canadaNovaScotia,
      canadaNunavut,
      canadaOntario,
      canadaPrinceEdwardIsland,
      canadaQuebec,
      canadaSaskatchewan,
      canadaYukon
    ],
    timezones: [
      Timezone(
          abbreviation: "EST",
          gmtOffset: -18000,
          gmtOffsetName: "UTC-05:00",
          tzName: "Eastern Standard Time (North America)",
          zoneName: "America/Atikokan"),
      Timezone(
          abbreviation: "AST",
          gmtOffset: -14400,
          gmtOffsetName: "UTC-04:00",
          tzName: "Atlantic Standard Time",
          zoneName: "America/Blanc-Sablon"),
      Timezone(
          abbreviation: "MST",
          gmtOffset: -25200,
          gmtOffsetName: "UTC-07:00",
          tzName: "Mountain Standard Time (North America)",
          zoneName: "America/Cambridge_Bay"),
      Timezone(
          abbreviation: "MST",
          gmtOffset: -25200,
          gmtOffsetName: "UTC-07:00",
          tzName: "Mountain Standard Time (North America)",
          zoneName: "America/Creston"),
      Timezone(
          abbreviation: "MST",
          gmtOffset: -25200,
          gmtOffsetName: "UTC-07:00",
          tzName: "Mountain Standard Time (North America)",
          zoneName: "America/Dawson"),
      Timezone(
          abbreviation: "MST",
          gmtOffset: -25200,
          gmtOffsetName: "UTC-07:00",
          tzName: "Mountain Standard Time (North America)",
          zoneName: "America/Dawson_Creek"),
      Timezone(
          abbreviation: "MST",
          gmtOffset: -25200,
          gmtOffsetName: "UTC-07:00",
          tzName: "Mountain Standard Time (North America)",
          zoneName: "America/Edmonton"),
      Timezone(
          abbreviation: "MST",
          gmtOffset: -25200,
          gmtOffsetName: "UTC-07:00",
          tzName: "Mountain Standard Time (North America)",
          zoneName: "America/Fort_Nelson"),
      Timezone(
          abbreviation: "AST",
          gmtOffset: -14400,
          gmtOffsetName: "UTC-04:00",
          tzName: "Atlantic Standard Time",
          zoneName: "America/Glace_Bay"),
      Timezone(
          abbreviation: "AST",
          gmtOffset: -14400,
          gmtOffsetName: "UTC-04:00",
          tzName: "Atlantic Standard Time",
          zoneName: "America/Goose_Bay"),
      Timezone(
          abbreviation: "AST",
          gmtOffset: -14400,
          gmtOffsetName: "UTC-04:00",
          tzName: "Atlantic Standard Time",
          zoneName: "America/Halifax"),
      Timezone(
          abbreviation: "MST",
          gmtOffset: -25200,
          gmtOffsetName: "UTC-07:00",
          tzName: "Mountain Standard Time (North America",
          zoneName: "America/Inuvik"),
      Timezone(
          abbreviation: "EST",
          gmtOffset: -18000,
          gmtOffsetName: "UTC-05:00",
          tzName: "Eastern Standard Time (North America",
          zoneName: "America/Iqaluit"),
      Timezone(
          abbreviation: "AST",
          gmtOffset: -14400,
          gmtOffsetName: "UTC-04:00",
          tzName: "Atlantic Standard Time",
          zoneName: "America/Moncton"),
      Timezone(
          abbreviation: "EST",
          gmtOffset: -18000,
          gmtOffsetName: "UTC-05:00",
          tzName: "Eastern Standard Time (North America",
          zoneName: "America/Nipigon"),
      Timezone(
          abbreviation: "EST",
          gmtOffset: -18000,
          gmtOffsetName: "UTC-05:00",
          tzName: "Eastern Standard Time (North America",
          zoneName: "America/Pangnirtung"),
      Timezone(
          abbreviation: "CST",
          gmtOffset: -21600,
          gmtOffsetName: "UTC-06:00",
          tzName: "Central Standard Time (North America",
          zoneName: "America/Rainy_River"),
      Timezone(
          abbreviation: "CST",
          gmtOffset: -21600,
          gmtOffsetName: "UTC-06:00",
          tzName: "Central Standard Time (North America",
          zoneName: "America/Rankin_Inlet"),
      Timezone(
          abbreviation: "CST",
          gmtOffset: -21600,
          gmtOffsetName: "UTC-06:00",
          tzName: "Central Standard Time (North America",
          zoneName: "America/Regina"),
      Timezone(
          abbreviation: "CST",
          gmtOffset: -21600,
          gmtOffsetName: "UTC-06:00",
          tzName: "Central Standard Time (North America",
          zoneName: "America/Resolute"),
      Timezone(
          abbreviation: "NST",
          gmtOffset: -12600,
          gmtOffsetName: "UTC-03:30",
          tzName: "Newfoundland Standard Time",
          zoneName: "America/St_Johns"),
      Timezone(
          abbreviation: "CST",
          gmtOffset: -21600,
          gmtOffsetName: "UTC-06:00",
          tzName: "Central Standard Time (North America",
          zoneName: "America/Swift_Current"),
      Timezone(
          abbreviation: "EST",
          gmtOffset: -18000,
          gmtOffsetName: "UTC-05:00",
          tzName: "Eastern Standard Time (North America",
          zoneName: "America/Thunder_Bay"),
      Timezone(
          abbreviation: "EST",
          gmtOffset: -18000,
          gmtOffsetName: "UTC-05:00",
          tzName: "Eastern Standard Time (North America",
          zoneName: "America/Toronto"),
      Timezone(
          abbreviation: "PST",
          gmtOffset: -28800,
          gmtOffsetName: "UTC-08:00",
          tzName: "Pacific Standard Time (North America",
          zoneName: "America/Vancouver"),
      Timezone(
          abbreviation: "MST",
          gmtOffset: -25200,
          gmtOffsetName: "UTC-07:00",
          tzName: "Mountain Standard Time (North America",
          zoneName: "America/Whitehorse"),
      Timezone(
          abbreviation: "CST",
          gmtOffset: -21600,
          gmtOffsetName: "UTC-06:00",
          tzName: "Central Standard Time (North America",
          zoneName: "America/Winnipeg"),
      Timezone(
          abbreviation: "MST",
          gmtOffset: -25200,
          gmtOffsetName: "UTC-07:00",
          tzName: "Mountain Standard Time (North America",
          zoneName: "America/Yellowknife")
    ],
    translations: {
      "kr": "캐나다",
      "br": "Canadá",
      "pt": "Canadá",
      "nl": "Canada",
      "hr": "Kanada",
      "fa": "کانادا",
      "de": "Kanada",
      "es": "Canadá",
      "fr": "Canada",
      "ja": "カナダ",
      "it": "Canada",
      "cn": "加拿大"
    });
