/// Access to known geographies in Cape Verde and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'cape_verde_states.dart';

/// The country of `🇨🇻 Cape Verde`, and its 23 states
const Country capeVerde = Country(
    id: 40,
    name: "Cape Verde",
    longitude: -24.0,
    latitude: 16.0,
    capital: "Praia",
    currency: "CVE",
    currencySymbol: "\$",
    emoji: "🇨🇻",
    emojiU: "U+1F1E8 U+1F1FB",
    iso2: "CV",
    iso3: "CPV",
    native: "Cabo Verde",
    numericCode: "132",
    phoneCode: "238",
    region: "Africa",
    subregion: "Western Africa",
    tld: ".cv",
    states: [
      capeVerdeBarlaventoIslands,
      capeVerdeBoaVista,
      capeVerdeBrava,
      capeVerdeMaioMunicipality,
      capeVerdeMosteiros,
      capeVerdePaul,
      capeVerdePortoNovo,
      capeVerdePraia,
      capeVerdeRibeiraBravaMunicipality,
      capeVerdeRibeiraGrande,
      capeVerdeRibeiraGrandeDdeSantiago,
      capeVerdeSal,
      capeVerdeSantaCatarina,
      capeVerdeSantaCatarinaDdoFogo,
      capeVerdeSantaCruz,
      capeVerdeSaoDomingos,
      capeVerdeSaoFilipe,
      capeVerdeSaoLourencoDdosOrgaos,
      capeVerdeSaoMiguel,
      capeVerdeSaoVicente,
      capeVerdeSotaventoIslands,
      capeVerdeTarrafal,
      capeVerdeTarrafalDdeSaoNicolau
    ],
    timezones: [
      Timezone(
          abbreviation: "CVT",
          gmtOffset: -3600,
          gmtOffsetName: "UTC-01:00",
          tzName: "Cape Verde Time",
          zoneName: "Atlantic/Cape_Verde")
    ],
    translations: {
      "kr": "카보베르데",
      "br": "Cabo Verde",
      "pt": "Cabo Verde",
      "nl": "Kaapverdië",
      "hr": "Zelenortska Republika",
      "fa": "کیپ ورد",
      "de": "Kap Verde",
      "es": "Cabo Verde",
      "fr": "Cap Vert",
      "ja": "カーボベルデ",
      "it": "Capo Verde",
      "cn": "佛得角"
    });
