/// Access to known geographies in China and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'china_states.dart';

/// The country of `🇨🇳 China`, and its 34 states
const Country china = Country(
    id: 45,
    name: "China",
    longitude: 105.0,
    latitude: 35.0,
    capital: "Beijing",
    currency: "CNY",
    currencySymbol: "¥",
    emoji: "🇨🇳",
    emojiU: "U+1F1E8 U+1F1F3",
    iso2: "CN",
    iso3: "CHN",
    native: "中国",
    numericCode: "156",
    phoneCode: "86",
    region: "Asia",
    subregion: "Eastern Asia",
    tld: ".cn",
    states: [
      chinaAnhuiPprovince,
      chinaBeijingMmunicipality,
      chinaChongqingMmunicipality,
      chinaFujianPprovince,
      chinaGansuPprovince,
      chinaGuangdongPprovince,
      chinaGuangxiZhuangAautonomousRregion,
      chinaGuizhouPprovince,
      chinaHainanPprovince,
      chinaHebeiPprovince,
      chinaHeilongjiangPprovince,
      chinaHenanPprovince,
      chinaHongKongSARSspecialAadministrativeRregion,
      chinaHubeiPprovince,
      chinaHunanPprovince,
      chinaInnerMongoliaAautonomousRregion,
      chinaJiangsuPprovince,
      chinaJiangxiPprovince,
      chinaJilinPprovince,
      chinaLiaoningPprovince,
      chinaMacauSARSspecialAadministrativeRregion,
      chinaNingxiaHuizuAautonomousRregion,
      chinaQinghaiPprovince,
      chinaShaanxiPprovince,
      chinaShandongPprovince,
      chinaShanghaiMmunicipality,
      chinaShanxiPprovince,
      chinaSichuanPprovince,
      chinaTaiwanPprovince,
      chinaTianjinMmunicipality,
      chinaXinjiangAautonomousRregion,
      chinaXizangAautonomousRregion,
      chinaYunnanPprovince,
      chinaZhejiangPprovince
    ],
    timezones: [
      Timezone(
          abbreviation: "CST",
          gmtOffset: 28800,
          gmtOffsetName: "UTC+08:00",
          tzName: "China Standard Time",
          zoneName: "Asia/Shanghai"),
      Timezone(
          abbreviation: "XJT",
          gmtOffset: 21600,
          gmtOffsetName: "UTC+06:00",
          tzName: "China Standard Time",
          zoneName: "Asia/Urumqi")
    ],
    translations: {
      "kr": "중국",
      "br": "China",
      "pt": "China",
      "nl": "China",
      "hr": "Kina",
      "fa": "چین",
      "de": "China",
      "es": "China",
      "fr": "Chine",
      "ja": "中国",
      "it": "Cina",
      "cn": "中国"
    });
