/// Access to known geographies in Costa Rica and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'costa_rica_states.dart';

/// The country of `🇨🇷 Costa Rica`, and its 7 states
const Country costaRica = Country(
    id: 53,
    name: "Costa Rica",
    longitude: -84.0,
    latitude: 10.0,
    capital: "San Jose",
    currency: "CRC",
    currencySymbol: "₡",
    emoji: "🇨🇷",
    emojiU: "U+1F1E8 U+1F1F7",
    iso2: "CR",
    iso3: "CRI",
    native: "Costa Rica",
    numericCode: "188",
    phoneCode: "506",
    region: "Americas",
    subregion: "Central America",
    tld: ".cr",
    states: [
      costaRicaAlajuelaProvince,
      costaRicaGuanacasteProvince,
      costaRicaHerediaProvince,
      costaRicaLimonProvince,
      costaRicaProvinciaDdeCartago,
      costaRicaPuntarenasProvince,
      costaRicaSanJoseProvince
    ],
    timezones: [
      Timezone(
          abbreviation: "CST",
          gmtOffset: -21600,
          gmtOffsetName: "UTC-06:00",
          tzName: "Central Standard Time (North America",
          zoneName: "America/Costa_Rica")
    ],
    translations: {
      "kr": "코스타리카",
      "br": "Costa Rica",
      "pt": "Costa Rica",
      "nl": "Costa Rica",
      "hr": "Kostarika",
      "fa": "کاستاریکا",
      "de": "Costa Rica",
      "es": "Costa Rica",
      "fr": "Costa Rica",
      "ja": "コスタリカ",
      "it": "Costa Rica",
      "cn": "哥斯达黎加"
    });
