/// Access to known geographies in Croatia and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'croatia_states.dart';

/// The country of `🇭🇷 Croatia`, and its 20 states
const Country croatia = Country(
    id: 55,
    name: "Croatia",
    longitude: 15.5,
    latitude: 45.16666666,
    capital: "Zagreb",
    currency: "HRK",
    currencySymbol: "kn",
    emoji: "🇭🇷",
    emojiU: "U+1F1ED U+1F1F7",
    iso2: "HR",
    iso3: "HRV",
    native: "Hrvatska",
    numericCode: "191",
    phoneCode: "385",
    region: "Europe",
    subregion: "Southern Europe",
    tld: ".hr",
    states: [
      croatiaBjelovarHypBilogoraCounty,
      croatiaBrodHypPosavinaCounty,
      croatiaDubrovnikHypNeretvaCounty,
      croatiaIstriaCounty,
      croatiaKoprivnicaHypKrizevciCounty,
      croatiaKrapinaHypZagorjeCounty,
      croatiaLikaHypSenjCounty,
      croatiaMedimurjeCounty,
      croatiaOsijekHypBaranjaCounty,
      croatiaPozegaHypSlavoniaCounty,
      croatiaPrimorjeHypGorskiKotarCounty,
      croatiaSibenikHypKninCounty,
      croatiaSisakHypMoslavinaCounty,
      croatiaSplitHypDalmatiaCounty,
      croatiaVarazdinCounty,
      croatiaViroviticaHypPodravinaCounty,
      croatiaVukovarHypSyrmiaCounty,
      croatiaZadarCounty,
      croatiaZagreb,
      croatiaZagrebCounty
    ],
    timezones: [
      Timezone(
          abbreviation: "CET",
          gmtOffset: 3600,
          gmtOffsetName: "UTC+01:00",
          tzName: "Central European Time",
          zoneName: "Europe/Zagreb")
    ],
    translations: {
      "kr": "크로아티아",
      "br": "Croácia",
      "pt": "Croácia",
      "nl": "Kroatië",
      "hr": "Hrvatska",
      "fa": "کرواسی",
      "de": "Kroatien",
      "es": "Croacia",
      "fr": "Croatie",
      "ja": "クロアチア",
      "it": "Croazia",
      "cn": "克罗地亚"
    });
