/// Access to known geographies in Cuba and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'cuba_states.dart';

/// The country of `🇨🇺 Cuba`, and its 16 states
const Country cuba = Country(
    id: 56,
    name: "Cuba",
    longitude: -80.0,
    latitude: 21.5,
    capital: "Havana",
    currency: "CUP",
    currencySymbol: "\$",
    emoji: "🇨🇺",
    emojiU: "U+1F1E8 U+1F1FA",
    iso2: "CU",
    iso3: "CUB",
    native: "Cuba",
    numericCode: "192",
    phoneCode: "53",
    region: "Americas",
    subregion: "Caribbean",
    tld: ".cu",
    states: [
      cubaArtemisaProvince,
      cubaCamagueyProvince,
      cubaCiegoDdeAvilaProvince,
      cubaCienfuegosProvince,
      cubaGranmaProvince,
      cubaGuantanamoProvince,
      cubaHavanaProvince,
      cubaHolguinProvince,
      cubaIslaDdeLlaJuventud,
      cubaLasTunasProvince,
      cubaMatanzasProvince,
      cubaMayabequeProvince,
      cubaPinarDdelRioProvince,
      cubaSanctiSpiritusProvince,
      cubaSantiagoDdeCubaProvince,
      cubaVillaClaraProvince
    ],
    timezones: [
      Timezone(
          abbreviation: "CST",
          gmtOffset: -18000,
          gmtOffsetName: "UTC-05:00",
          tzName: "Cuba Standard Time",
          zoneName: "America/Havana")
    ],
    translations: {
      "kr": "쿠바",
      "br": "Cuba",
      "pt": "Cuba",
      "nl": "Cuba",
      "hr": "Kuba",
      "fa": "کوبا",
      "de": "Kuba",
      "es": "Cuba",
      "fr": "Cuba",
      "ja": "キューバ",
      "it": "Cuba",
      "cn": "古巴"
    });
