/// Access to known geographies in Czech Republic and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'czech_republic_states.dart';

/// The country of `🇨🇿 Czech Republic`, and its 90 states
const Country czechRepublic = Country(
    id: 58,
    name: "Czech Republic",
    longitude: 15.5,
    latitude: 49.75,
    capital: "Prague",
    currency: "CZK",
    currencySymbol: "Kč",
    emoji: "🇨🇿",
    emojiU: "U+1F1E8 U+1F1FF",
    iso2: "CZ",
    iso3: "CZE",
    native: "Česká republika",
    numericCode: "203",
    phoneCode: "420",
    region: "Europe",
    subregion: "Eastern Europe",
    tld: ".cz",
    states: [
      czechRepublicBenesov,
      czechRepublicBeroun,
      czechRepublicBlansko,
      czechRepublicBreclav,
      czechRepublicBrnoHypmesto,
      czechRepublicBrnoHypvenkov,
      czechRepublicBruntal,
      czechRepublicCeskaLipa,
      czechRepublicCeskeBudejovice,
      czechRepublicCeskyKrumlov,
      czechRepublicCheb,
      czechRepublicChomutov,
      czechRepublicChrudim,
      czechRepublicDecin,
      czechRepublicDomazlice,
      czechRepublicFrydekHypMistek,
      czechRepublicHavlickuvBrod,
      czechRepublicHodonin,
      czechRepublicHradecKralove,
      czechRepublicJablonecNnadNisou,
      czechRepublicJesenik,
      czechRepublicJicin,
      czechRepublicJihlava,
      czechRepublicJihoceskyKkraj,
      czechRepublicJihomoravskyKkraj,
      czechRepublicJindrichuvHradec,
      czechRepublicKarlovarskyKkraj,
      czechRepublicKarlovyVary,
      czechRepublicKarvina,
      czechRepublicKladno,
      czechRepublicKlatovy,
      czechRepublicKolin,
      czechRepublicKrajVysocina,
      czechRepublicKralovehradeckyKkraj,
      czechRepublicKromeriz,
      czechRepublicKutnaHora,
      czechRepublicLiberec,
      czechRepublicLibereckyKkraj,
      czechRepublicLitomerice,
      czechRepublicLouny,
      czechRepublicMelnik,
      czechRepublicMladaBoleslav,
      czechRepublicMoravskoslezskyKkraj,
      czechRepublicMost,
      czechRepublicNachod,
      czechRepublicNovyJicin,
      czechRepublicNymburk,
      czechRepublicOlomouc,
      czechRepublicOlomouckyKkraj,
      czechRepublicOpava,
      czechRepublicOstravaHypmesto,
      czechRepublicPardubice,
      czechRepublicPardubickyKkraj,
      czechRepublicPelhrimov,
      czechRepublicPisek,
      czechRepublicPlzenHypjih,
      czechRepublicPlzenHypmesto,
      czechRepublicPlzenHypsever,
      czechRepublicPlzenskyKkraj,
      czechRepublicPrachatice,
      czechRepublicPrahaHypvychod,
      czechRepublicPrahaHypzapad,
      czechRepublicPrahaHlavniMmesto,
      czechRepublicPrerov,
      czechRepublicPribram,
      czechRepublicProstejov,
      czechRepublicRakovnik,
      czechRepublicRokycany,
      czechRepublicRychnovNnadKneznou,
      czechRepublicSemily,
      czechRepublicSokolov,
      czechRepublicStrakonice,
      czechRepublicStredoceskyKkraj,
      czechRepublicSumperk,
      czechRepublicSvitavy,
      czechRepublicTabor,
      czechRepublicTachov,
      czechRepublicTeplice,
      czechRepublicTrebic,
      czechRepublicTrutnov,
      czechRepublicUherskeHradiste,
      czechRepublicUsteckyKkraj,
      czechRepublicUstiNnadLabem,
      czechRepublicUstiNnadOrlici,
      czechRepublicVsetin,
      czechRepublicVyskov,
      czechRepublicZdarNnadSazavou,
      czechRepublicZlin,
      czechRepublicZlinskyKkraj,
      czechRepublicZnojmo
    ],
    timezones: [
      Timezone(
          abbreviation: "CET",
          gmtOffset: 3600,
          gmtOffsetName: "UTC+01:00",
          tzName: "Central European Time",
          zoneName: "Europe/Prague")
    ],
    translations: {
      "kr": "체코",
      "br": "República Tcheca",
      "pt": "República Checa",
      "nl": "Tsjechië",
      "hr": "Češka",
      "fa": "جمهوری چک",
      "de": "Tschechische Republik",
      "es": "República Checa",
      "fr": "République tchèque",
      "ja": "チェコ",
      "it": "Repubblica Ceca",
      "cn": "捷克"
    });
