/// Access to known geographies in Denmark and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'denmark_states.dart';

/// The country of `🇩🇰 Denmark`, and its 5 states
const Country denmark = Country(
    id: 59,
    name: "Denmark",
    longitude: 10.0,
    latitude: 56.0,
    capital: "Copenhagen",
    currency: "DKK",
    currencySymbol: "Kr.",
    emoji: "🇩🇰",
    emojiU: "U+1F1E9 U+1F1F0",
    iso2: "DK",
    iso3: "DNK",
    native: "Danmark",
    numericCode: "208",
    phoneCode: "45",
    region: "Europe",
    subregion: "Northern Europe",
    tld: ".dk",
    states: [
      denmarkCapitalRegionOofDenmark,
      denmarkCentralDenmarkRegion,
      denmarkNorthDenmarkRegion,
      denmarkRegionOofSouthernDenmark,
      denmarkRegionZealand
    ],
    timezones: [
      Timezone(
          abbreviation: "CET",
          gmtOffset: 3600,
          gmtOffsetName: "UTC+01:00",
          tzName: "Central European Time",
          zoneName: "Europe/Copenhagen")
    ],
    translations: {
      "kr": "덴마크",
      "br": "Dinamarca",
      "pt": "Dinamarca",
      "nl": "Denemarken",
      "hr": "Danska",
      "fa": "دانمارک",
      "de": "Dänemark",
      "es": "Dinamarca",
      "fr": "Danemark",
      "ja": "デンマーク",
      "it": "Danimarca",
      "cn": "丹麦"
    });
