/// Access to known geographies in Dominican Republic and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'dominican_republic_states.dart';

/// The country of `🇩🇴 Dominican Republic`, and its 31 states
const Country dominicanRepublic = Country(
    id: 62,
    name: "Dominican Republic",
    longitude: -70.66666666,
    latitude: 19.0,
    capital: "Santo Domingo",
    currency: "DOP",
    currencySymbol: "\$",
    emoji: "🇩🇴",
    emojiU: "U+1F1E9 U+1F1F4",
    iso2: "DO",
    iso3: "DOM",
    native: "República Dominicana",
    numericCode: "214",
    phoneCode: "+1-809 and 1-829",
    region: "Americas",
    subregion: "Caribbean",
    tld: ".do",
    states: [
      dominicanRepublicAzuaProvince,
      dominicanRepublicBaorucoProvince,
      dominicanRepublicBarahonaProvince,
      dominicanRepublicDajabonProvince,
      dominicanRepublicDistritoNacional,
      dominicanRepublicDuarteProvince,
      dominicanRepublicElSeiboProvince,
      dominicanRepublicEspaillatProvince,
      dominicanRepublicHatoMayorProvince,
      dominicanRepublicHermanasMirabalProvince,
      dominicanRepublicIndependencia,
      dominicanRepublicLaAltagraciaProvince,
      dominicanRepublicLaRomanaProvince,
      dominicanRepublicLaVegaProvince,
      dominicanRepublicMariaTrinidadSanchezProvince,
      dominicanRepublicMonsenorNouelProvince,
      dominicanRepublicMonteCristiProvince,
      dominicanRepublicMontePlataProvince,
      dominicanRepublicPedernalesProvince,
      dominicanRepublicPeraviaProvince,
      dominicanRepublicPuertoPlataProvince,
      dominicanRepublicSamanaProvince,
      dominicanRepublicSanCristobalProvince,
      dominicanRepublicSanJoseDdeOcoaProvince,
      dominicanRepublicSanJuanProvince,
      dominicanRepublicSanPedroDdeMacoris,
      dominicanRepublicSanchezRamirezProvince,
      dominicanRepublicSantiagoProvince,
      dominicanRepublicSantiagoRodriguezProvince,
      dominicanRepublicSantoDomingoProvince,
      dominicanRepublicValverdeProvince
    ],
    timezones: [
      Timezone(
          abbreviation: "AST",
          gmtOffset: -14400,
          gmtOffsetName: "UTC-04:00",
          tzName: "Atlantic Standard Time",
          zoneName: "America/Santo_Domingo")
    ],
    translations: {
      "kr": "도미니카 공화국",
      "br": "República Dominicana",
      "pt": "República Dominicana",
      "nl": "Dominicaanse Republiek",
      "hr": "Dominikanska Republika",
      "fa": "جمهوری دومینیکن",
      "de": "Dominikanische Republik",
      "es": "República Dominicana",
      "fr": "République dominicaine",
      "ja": "ドミニカ共和国",
      "it": "Repubblica Dominicana",
      "cn": "多明尼加共和国"
    });
