/// Access to known geographies in Ecuador and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'ecuador_states.dart';

/// The country of `🇪🇨 Ecuador`, and its 23 states
const Country ecuador = Country(
    id: 64,
    name: "Ecuador",
    longitude: -77.5,
    latitude: -2.0,
    capital: "Quito",
    currency: "USD",
    currencySymbol: "\$",
    emoji: "🇪🇨",
    emojiU: "U+1F1EA U+1F1E8",
    iso2: "EC",
    iso3: "ECU",
    native: "Ecuador",
    numericCode: "218",
    phoneCode: "593",
    region: "Americas",
    subregion: "South America",
    tld: ".ec",
    states: [
      ecuadorAzuayProvince,
      ecuadorBolivarProvince,
      ecuadorCanarProvince,
      ecuadorCarchiProvince,
      ecuadorChimborazoProvince,
      ecuadorCotopaxiProvince,
      ecuadorElOroProvince,
      ecuadorEsmeraldas,
      ecuadorGalapagosProvince,
      ecuadorGuayasProvince,
      ecuadorImbaburaProvince,
      ecuadorLosRiosProvince,
      ecuadorManabiProvince,
      ecuadorMoronaHypSantiagoProvince,
      ecuadorNapoProvince,
      ecuadorOrellanaProvince,
      ecuadorPastazaProvince,
      ecuadorPichinchaProvince,
      ecuadorSantaElenaProvince,
      ecuadorSantoDomingoDdeLlosTsachilasProvince,
      ecuadorSucumbiosProvince,
      ecuadorTungurahuaProvince,
      ecuadorZamoraHypChinchipeProvince
    ],
    timezones: [
      Timezone(
          abbreviation: "ECT",
          gmtOffset: -18000,
          gmtOffsetName: "UTC-05:00",
          tzName: "Ecuador Time",
          zoneName: "America/Guayaquil"),
      Timezone(
          abbreviation: "GALT",
          gmtOffset: -21600,
          gmtOffsetName: "UTC-06:00",
          tzName: "Galápagos Time",
          zoneName: "Pacific/Galapagos")
    ],
    translations: {
      "kr": "에콰도르",
      "br": "Equador",
      "pt": "Equador",
      "nl": "Ecuador",
      "hr": "Ekvador",
      "fa": "اکوادور",
      "de": "Ecuador",
      "es": "Ecuador",
      "fr": "Équateur",
      "ja": "エクアドル",
      "it": "Ecuador",
      "cn": "厄瓜多尔"
    });
