/// Access to known geographies in Egypt and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'egypt_states.dart';

/// The country of `🇪🇬 Egypt`, and its 26 states
const Country egypt = Country(
    id: 65,
    name: "Egypt",
    longitude: 30.0,
    latitude: 27.0,
    capital: "Cairo",
    currency: "EGP",
    currencySymbol: "ج.م",
    emoji: "🇪🇬",
    emojiU: "U+1F1EA U+1F1EC",
    iso2: "EG",
    iso3: "EGY",
    native: "مصر‎",
    numericCode: "818",
    phoneCode: "20",
    region: "Africa",
    subregion: "Northern Africa",
    tld: ".eg",
    states: [
      egyptAlexandriaGovernorate,
      egyptAswanGovernorate,
      egyptAsyutGovernorate,
      egyptBeheiraGovernorate,
      egyptBeniSuefGovernorate,
      egyptCairoGovernorate,
      egyptDakahliaGovernorate,
      egyptDamiettaGovernorate,
      egyptFaiyumGovernorate,
      egyptGharbiaGovernorate,
      egyptGizaGovernorate,
      egyptIsmailiaGovernorate,
      egyptKafrEelHypSheikhGovernorate,
      egyptLuxorGovernorate,
      egyptMatrouhGovernorate,
      egyptMinyaGovernorate,
      egyptMonufiaGovernorate,
      egyptNewValleyGovernorate,
      egyptNorthSinaiGovernorate,
      egyptPortSaidGovernorate,
      egyptQalyubiaGovernorate,
      egyptQenaGovernorate,
      egyptRedSeaGovernorate,
      egyptSohagGovernorate,
      egyptSouthSinaiGovernorate,
      egyptSuezGovernorate
    ],
    timezones: [
      Timezone(
          abbreviation: "EET",
          gmtOffset: 7200,
          gmtOffsetName: "UTC+02:00",
          tzName: "Eastern European Time",
          zoneName: "Africa/Cairo")
    ],
    translations: {
      "kr": "이집트",
      "br": "Egito",
      "pt": "Egipto",
      "nl": "Egypte",
      "hr": "Egipat",
      "fa": "مصر",
      "de": "Ägypten",
      "es": "Egipto",
      "fr": "Égypte",
      "ja": "エジプト",
      "it": "Egitto",
      "cn": "埃及"
    });
