/// Access to known geographies in Equatorial Guinea and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'equatorial_guinea_states.dart';

/// The country of `🇬🇶 Equatorial Guinea`, and its 9 states
const Country equatorialGuinea = Country(
    id: 67,
    name: "Equatorial Guinea",
    longitude: 10.0,
    latitude: 2.0,
    capital: "Malabo",
    currency: "XAF",
    currencySymbol: "FCFA",
    emoji: "🇬🇶",
    emojiU: "U+1F1EC U+1F1F6",
    iso2: "GQ",
    iso3: "GNQ",
    native: "Guinea Ecuatorial",
    numericCode: "226",
    phoneCode: "240",
    region: "Africa",
    subregion: "Middle Africa",
    tld: ".gq",
    states: [
      equatorialGuineaAnnobonProvince,
      equatorialGuineaBiokoNorteProvince,
      equatorialGuineaBiokoSurProvince,
      equatorialGuineaCentroSurProvince,
      equatorialGuineaInsularRegion,
      equatorialGuineaKieHypNtemProvince,
      equatorialGuineaLitoralProvince,
      equatorialGuineaRioMuni,
      equatorialGuineaWeleHypNzasProvince
    ],
    timezones: [
      Timezone(
          abbreviation: "WAT",
          gmtOffset: 3600,
          gmtOffsetName: "UTC+01:00",
          tzName: "West Africa Time",
          zoneName: "Africa/Malabo")
    ],
    translations: {
      "kr": "적도 기니",
      "br": "Guiné Equatorial",
      "pt": "Guiné Equatorial",
      "nl": "Equatoriaal-Guinea",
      "hr": "Ekvatorijalna Gvineja",
      "fa": "گینه استوایی",
      "de": "Äquatorial-Guinea",
      "es": "Guinea Ecuatorial",
      "fr": "Guinée-Équatoriale",
      "ja": "赤道ギニア",
      "it": "Guinea Equatoriale",
      "cn": "赤道几内亚"
    });
