/// Access to known geographies in Eritrea and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'eritrea_states.dart';

/// The country of `🇪🇷 Eritrea`, and its 6 states
const Country eritrea = Country(
    id: 68,
    name: "Eritrea",
    longitude: 39.0,
    latitude: 15.0,
    capital: "Asmara",
    currency: "ERN",
    currencySymbol: "Nfk",
    emoji: "🇪🇷",
    emojiU: "U+1F1EA U+1F1F7",
    iso2: "ER",
    iso3: "ERI",
    native: "ኤርትራ",
    numericCode: "232",
    phoneCode: "291",
    region: "Africa",
    subregion: "Eastern Africa",
    tld: ".er",
    states: [
      eritreaAnsebaRegion,
      eritreaDebubRegion,
      eritreaGashHypBarkaRegion,
      eritreaMaekelRegion,
      eritreaNorthernRedSeaRegion,
      eritreaSouthernRedSeaRegion
    ],
    timezones: [
      Timezone(
          abbreviation: "EAT",
          gmtOffset: 10800,
          gmtOffsetName: "UTC+03:00",
          tzName: "East Africa Time",
          zoneName: "Africa/Asmara")
    ],
    translations: {
      "kr": "에리트레아",
      "br": "Eritreia",
      "pt": "Eritreia",
      "nl": "Eritrea",
      "hr": "Eritreja",
      "fa": "اریتره",
      "de": "Eritrea",
      "es": "Eritrea",
      "fr": "Érythrée",
      "ja": "エリトリア",
      "it": "Eritrea",
      "cn": "厄立特里亚"
    });
