/// Access to known geographies in Estonia and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'estonia_states.dart';

/// The country of `🇪🇪 Estonia`, and its 15 states
const Country estonia = Country(
    id: 69,
    name: "Estonia",
    longitude: 26.0,
    latitude: 59.0,
    capital: "Tallinn",
    currency: "EUR",
    currencySymbol: "€",
    emoji: "🇪🇪",
    emojiU: "U+1F1EA U+1F1EA",
    iso2: "EE",
    iso3: "EST",
    native: "Eesti",
    numericCode: "233",
    phoneCode: "372",
    region: "Europe",
    subregion: "Northern Europe",
    tld: ".ee",
    states: [
      estoniaHarjuCounty,
      estoniaHiiuCounty,
      estoniaIdaHypViruCounty,
      estoniaJarvaCounty,
      estoniaJogevaCounty,
      estoniaLaaneCounty,
      estoniaLaaneHypViruCounty,
      estoniaParnuCounty,
      estoniaPolvaCounty,
      estoniaRaplaCounty,
      estoniaSaareCounty,
      estoniaTartuCounty,
      estoniaValgaCounty,
      estoniaViljandiCounty,
      estoniaVoruCounty
    ],
    timezones: [
      Timezone(
          abbreviation: "EET",
          gmtOffset: 7200,
          gmtOffsetName: "UTC+02:00",
          tzName: "Eastern European Time",
          zoneName: "Europe/Tallinn")
    ],
    translations: {
      "kr": "에스토니아",
      "br": "Estônia",
      "pt": "Estónia",
      "nl": "Estland",
      "hr": "Estonija",
      "fa": "استونی",
      "de": "Estland",
      "es": "Estonia",
      "fr": "Estonie",
      "ja": "エストニア",
      "it": "Estonia",
      "cn": "爱沙尼亚"
    });
