/// Access to known geographies in Fiji Islands and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'fiji_islands_states.dart';

/// The country of `🇫🇯 Fiji Islands`, and its 19 states
const Country fijiIslands = Country(
    id: 73,
    name: "Fiji Islands",
    longitude: 175.0,
    latitude: -18.0,
    capital: "Suva",
    currency: "FJD",
    currencySymbol: "FJ\$",
    emoji: "🇫🇯",
    emojiU: "U+1F1EB U+1F1EF",
    iso2: "FJ",
    iso3: "FJI",
    native: "Fiji",
    numericCode: "242",
    phoneCode: "679",
    region: "Oceania",
    subregion: "Melanesia",
    tld: ".fj",
    states: [
      fijiIslandsBa,
      fijiIslandsBua,
      fijiIslandsCakaudrove,
      fijiIslandsCentralDivision,
      fijiIslandsEasternDivision,
      fijiIslandsKadavu,
      fijiIslandsLau,
      fijiIslandsLomaiviti,
      fijiIslandsMacuata,
      fijiIslandsNadrogaHypNavosa,
      fijiIslandsNaitasiri,
      fijiIslandsNamosi,
      fijiIslandsNorthernDivision,
      fijiIslandsRa,
      fijiIslandsRewa,
      fijiIslandsRotuma,
      fijiIslandsSerua,
      fijiIslandsTailevu,
      fijiIslandsWesternDivision
    ],
    timezones: [
      Timezone(
          abbreviation: "FJT",
          gmtOffset: 43200,
          gmtOffsetName: "UTC+12:00",
          tzName: "Fiji Time",
          zoneName: "Pacific/Fiji")
    ],
    translations: {
      "kr": "피지",
      "br": "Fiji",
      "pt": "Fiji",
      "nl": "Fiji",
      "hr": "Fiđi",
      "fa": "فیجی",
      "de": "Fidschi",
      "es": "Fiyi",
      "fr": "Fidji",
      "ja": "フィジー",
      "it": "Figi",
      "cn": "斐济"
    });
