/// Access to known geographies in Finland and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'finland_states.dart';

/// The country of `🇫🇮 Finland`, and its 21 states
const Country finland = Country(
    id: 74,
    name: "Finland",
    longitude: 26.0,
    latitude: 64.0,
    capital: "Helsinki",
    currency: "EUR",
    currencySymbol: "€",
    emoji: "🇫🇮",
    emojiU: "U+1F1EB U+1F1EE",
    iso2: "FI",
    iso3: "FIN",
    native: "Suomi",
    numericCode: "246",
    phoneCode: "358",
    region: "Europe",
    subregion: "Northern Europe",
    tld: ".fi",
    states: [
      finlandAlandIslands,
      finlandCentralFinland,
      finlandCentralOstrobothnia,
      finlandEasternFinlandProvince,
      finlandFinlandProper,
      finlandKainuu,
      finlandKymenlaakso,
      finlandLapland,
      finlandNorthKarelia,
      finlandNorthernOstrobothnia,
      finlandNorthernSavonia,
      finlandOstrobothnia,
      finlandOuluProvince,
      finlandPaijanneTavastia,
      finlandPirkanmaa,
      finlandSatakunta,
      finlandSouthKarelia,
      finlandSouthernOstrobothnia,
      finlandSouthernSavonia,
      finlandTavastiaProper,
      finlandUusimaa
    ],
    timezones: [
      Timezone(
          abbreviation: "EET",
          gmtOffset: 7200,
          gmtOffsetName: "UTC+02:00",
          tzName: "Eastern European Time",
          zoneName: "Europe/Helsinki")
    ],
    translations: {
      "kr": "핀란드",
      "br": "Finlândia",
      "pt": "Finlândia",
      "nl": "Finland",
      "hr": "Finska",
      "fa": "فنلاند",
      "de": "Finnland",
      "es": "Finlandia",
      "fr": "Finlande",
      "ja": "フィンランド",
      "it": "Finlandia",
      "cn": "芬兰"
    });
