/// Access to known geographies in France and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'france_states.dart';

/// The country of `🇫🇷 France`, and its 42 states
const Country france = Country(
    id: 75,
    name: "France",
    longitude: 2.0,
    latitude: 46.0,
    capital: "Paris",
    currency: "EUR",
    currencySymbol: "€",
    emoji: "🇫🇷",
    emojiU: "U+1F1EB U+1F1F7",
    iso2: "FR",
    iso3: "FRA",
    native: "France",
    numericCode: "250",
    phoneCode: "33",
    region: "Europe",
    subregion: "Western Europe",
    tld: ".fr",
    states: [
      franceAlo,
      franceAlsace,
      franceAquitaine,
      franceAuvergne,
      franceAuvergneHypRhoneHypAlpes,
      franceBourgogneHypFrancheHypComte,
      franceBrittany,
      franceBurgundy,
      franceCentreHypValDdeLoire,
      franceChampagneHypArdenne,
      franceCorsica,
      franceFrancheHypComte,
      franceFrenchGuiana,
      franceFrenchPolynesia,
      franceGrandEst,
      franceGuadeloupe,
      franceHautsHypdeHypFrance,
      franceIleHypdeHypFrance,
      franceLanguedocHypRoussillon,
      franceLimousin,
      franceLorraine,
      franceLowerNormandy,
      franceMartinique,
      franceMayotte,
      franceNordHypPasHypdeHypCalais,
      franceNormandy,
      franceNouvelleHypAquitaine,
      franceOccitania,
      franceParis,
      francePaysDdeLlaLoire,
      francePicardy,
      francePoitouHypCharentes,
      franceProvenceHypAlpesHypCoteDdAzur,
      franceReunion,
      franceRhoneHypAlpes,
      franceSaintBarthelemy,
      franceSaintMartin,
      franceSaintPierreAandMiquelon,
      franceSigave,
      franceUpperNormandy,
      franceUvea,
      franceWallisAandFutuna
    ],
    timezones: [
      Timezone(
          abbreviation: "CET",
          gmtOffset: 3600,
          gmtOffsetName: "UTC+01:00",
          tzName: "Central European Time",
          zoneName: "Europe/Paris")
    ],
    translations: {
      "kr": "프랑스",
      "br": "França",
      "pt": "França",
      "nl": "Frankrijk",
      "hr": "Francuska",
      "fa": "فرانسه",
      "de": "Frankreich",
      "es": "Francia",
      "fr": "France",
      "ja": "フランス",
      "it": "Francia",
      "cn": "法国"
    });
