/// Access to known geographies in Germany and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'germany_states.dart';

/// The country of `🇩🇪 Germany`, and its 16 states
const Country germany = Country(
    id: 82,
    name: "Germany",
    longitude: 9.0,
    latitude: 51.0,
    capital: "Berlin",
    currency: "EUR",
    currencySymbol: "€",
    emoji: "🇩🇪",
    emojiU: "U+1F1E9 U+1F1EA",
    iso2: "DE",
    iso3: "DEU",
    native: "Deutschland",
    numericCode: "276",
    phoneCode: "49",
    region: "Europe",
    subregion: "Western Europe",
    tld: ".de",
    states: [
      germanyBadenHypWurttemberg,
      germanyBavaria,
      germanyBerlin,
      germanyBrandenburg,
      germanyBremen,
      germanyHamburg,
      germanyHesse,
      germanyLowerSaxony,
      germanyMecklenburgHypVorpommern,
      germanyNorthRhineHypWestphalia,
      germanyRhinelandHypPalatinate,
      germanySaarland,
      germanySaxony,
      germanySaxonyHypAnhalt,
      germanySchleswigHypHolstein,
      germanyThuringia
    ],
    timezones: [
      Timezone(
          abbreviation: "CET",
          gmtOffset: 3600,
          gmtOffsetName: "UTC+01:00",
          tzName: "Central European Time",
          zoneName: "Europe/Berlin"),
      Timezone(
          abbreviation: "CET",
          gmtOffset: 3600,
          gmtOffsetName: "UTC+01:00",
          tzName: "Central European Time",
          zoneName: "Europe/Busingen")
    ],
    translations: {
      "kr": "독일",
      "br": "Alemanha",
      "pt": "Alemanha",
      "nl": "Duitsland",
      "hr": "Njemačka",
      "fa": "آلمان",
      "de": "Deutschland",
      "es": "Alemania",
      "fr": "Allemagne",
      "ja": "ドイツ",
      "it": "Germania",
      "cn": "德国"
    });
