/// Access to known geographies in Greece and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'greece_states.dart';

/// The country of `🇬🇷 Greece`, and its 38 states
const Country greece = Country(
    id: 85,
    name: "Greece",
    longitude: 22.0,
    latitude: 39.0,
    capital: "Athens",
    currency: "EUR",
    currencySymbol: "€",
    emoji: "🇬🇷",
    emojiU: "U+1F1EC U+1F1F7",
    iso2: "GR",
    iso3: "GRC",
    native: "Ελλάδα",
    numericCode: "300",
    phoneCode: "30",
    region: "Europe",
    subregion: "Southern Europe",
    tld: ".gr",
    states: [
      greeceAchaeaRegionalUnit,
      greeceAetoliaHypAcarnaniaRegionalUnit,
      greeceArcadiaPrefecture,
      greeceArgolisRegionalUnit,
      greeceAtticaRegion,
      greeceBoeotiaRegionalUnit,
      greeceCentralGreeceRegion,
      greeceCentralMacedonia,
      greeceChaniaRegionalUnit,
      greeceCorfuPrefecture,
      greeceCorinthiaRegionalUnit,
      greeceCreteRegion,
      greeceDramaRegionalUnit,
      greeceEastAtticaRegionalUnit,
      greeceEastMacedoniaAandThrace,
      greeceEpirusRegion,
      greeceEuboea,
      greeceGrevenaPrefecture,
      greeceImathiaRegionalUnit,
      greeceIoanninaRegionalUnit,
      greeceIonianIslandsRegion,
      greeceKarditsaRegionalUnit,
      greeceKastoriaRegionalUnit,
      greeceKefaloniaPrefecture,
      greeceKilkisRegionalUnit,
      greeceKozaniPrefecture,
      greeceLaconia,
      greeceLarissaPrefecture,
      greeceLefkadaRegionalUnit,
      greecePellaRegionalUnit,
      greecePeloponneseRegion,
      greecePhthiotisPrefecture,
      greecePrevezaPrefecture,
      greeceSerresPrefecture,
      greeceSouthAegean,
      greeceThessalonikiRegionalUnit,
      greeceWestGreeceRegion,
      greeceWestMacedoniaRegion
    ],
    timezones: [
      Timezone(
          abbreviation: "EET",
          gmtOffset: 7200,
          gmtOffsetName: "UTC+02:00",
          tzName: "Eastern European Time",
          zoneName: "Europe/Athens")
    ],
    translations: {
      "kr": "그리스",
      "br": "Grécia",
      "pt": "Grécia",
      "nl": "Griekenland",
      "hr": "Grčka",
      "fa": "یونان",
      "de": "Griechenland",
      "es": "Grecia",
      "fr": "Grèce",
      "ja": "ギリシャ",
      "it": "Grecia",
      "cn": "希腊"
    });
