/// Access to known geographies in Guatemala and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'guatemala_states.dart';

/// The country of `🇬🇹 Guatemala`, and its 21 states
const Country guatemala = Country(
    id: 90,
    name: "Guatemala",
    longitude: -90.25,
    latitude: 15.5,
    capital: "Guatemala City",
    currency: "GTQ",
    currencySymbol: "Q",
    emoji: "🇬🇹",
    emojiU: "U+1F1EC U+1F1F9",
    iso2: "GT",
    iso3: "GTM",
    native: "Guatemala",
    numericCode: "320",
    phoneCode: "502",
    region: "Americas",
    subregion: "Central America",
    tld: ".gt",
    states: [
      guatemalaAltaVerapazDepartment,
      guatemalaBajaVerapazDepartment,
      guatemalaChimaltenangoDepartment,
      guatemalaChiquimulaDepartment,
      guatemalaElProgresoDepartment,
      guatemalaEscuintlaDepartment,
      guatemalaGuatemalaDepartment,
      guatemalaHuehuetenangoDepartment,
      guatemalaIzabalDepartment,
      guatemalaJalapaDepartment,
      guatemalaJutiapaDepartment,
      guatemalaPetenDepartment,
      guatemalaQuetzaltenangoDepartment,
      guatemalaQuicheDepartment,
      guatemalaRetalhuleuDepartment,
      guatemalaSacatepequezDepartment,
      guatemalaSanMarcosDepartment,
      guatemalaSantaRosaDepartment,
      guatemalaSololaDepartment,
      guatemalaSuchitepequezDepartment,
      guatemalaTotonicapanDepartment
    ],
    timezones: [
      Timezone(
          abbreviation: "CST",
          gmtOffset: -21600,
          gmtOffsetName: "UTC-06:00",
          tzName: "Central Standard Time (North America",
          zoneName: "America/Guatemala")
    ],
    translations: {
      "kr": "과테말라",
      "br": "Guatemala",
      "pt": "Guatemala",
      "nl": "Guatemala",
      "hr": "Gvatemala",
      "fa": "گواتمالا",
      "de": "Guatemala",
      "es": "Guatemala",
      "fr": "Guatemala",
      "ja": "グアテマラ",
      "it": "Guatemala",
      "cn": "危地马拉"
    });
