/// Access to known geographies in Hungary and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'hungary_states.dart';

/// The country of `🇭🇺 Hungary`, and its 42 states
const Country hungary = Country(
    id: 99,
    name: "Hungary",
    longitude: 20.0,
    latitude: 47.0,
    capital: "Budapest",
    currency: "HUF",
    currencySymbol: "Ft",
    emoji: "🇭🇺",
    emojiU: "U+1F1ED U+1F1FA",
    iso2: "HU",
    iso3: "HUN",
    native: "Magyarország",
    numericCode: "348",
    phoneCode: "36",
    region: "Europe",
    subregion: "Eastern Europe",
    tld: ".hu",
    states: [
      hungaryBacsHypKiskunCounty,
      hungaryBaranyaCounty,
      hungaryBekesCounty,
      hungaryBekescsaba,
      hungaryBorsodHypAbaujHypZemplenCounty,
      hungaryBudapest,
      hungaryCsongradCounty,
      hungaryDebrecen,
      hungaryDunaujvaros,
      hungaryEger,
      hungaryErd,
      hungaryFejerCounty,
      hungaryGyor,
      hungaryGyorHypMosonHypSopronCounty,
      hungaryHajduHypBiharCounty,
      hungaryHevesCounty,
      hungaryHodmezovasarhely,
      hungaryJaszHypNagykunHypSzolnokCounty,
      hungaryKaposvar,
      hungaryKecskemet,
      hungaryMiskolc,
      hungaryNagykanizsa,
      hungaryNogradCounty,
      hungaryNyiregyhaza,
      hungaryPecs,
      hungaryPestCounty,
      hungarySalgotarjan,
      hungarySomogyCounty,
      hungarySopron,
      hungarySzabolcsHypSzatmarHypBeregCounty,
      hungarySzeged,
      hungarySzekesfehervar,
      hungarySzekszard,
      hungarySzolnok,
      hungarySzombathely,
      hungaryTatabanya,
      hungaryTolnaCounty,
      hungaryVasCounty,
      hungaryVeszprem,
      hungaryVeszpremCounty,
      hungaryZalaCounty,
      hungaryZalaegerszeg
    ],
    timezones: [
      Timezone(
          abbreviation: "CET",
          gmtOffset: 3600,
          gmtOffsetName: "UTC+01:00",
          tzName: "Central European Time",
          zoneName: "Europe/Budapest")
    ],
    translations: {
      "kr": "헝가리",
      "br": "Hungria",
      "pt": "Hungria",
      "nl": "Hongarije",
      "hr": "Mađarska",
      "fa": "مجارستان",
      "de": "Ungarn",
      "es": "Hungría",
      "fr": "Hongrie",
      "ja": "ハンガリー",
      "it": "Ungheria",
      "cn": "匈牙利"
    });
