/// Access to known geographies in Iceland and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'iceland_states.dart';

/// The country of `🇮🇸 Iceland`, and its 8 states
const Country iceland = Country(
    id: 100,
    name: "Iceland",
    longitude: -18.0,
    latitude: 65.0,
    capital: "Reykjavik",
    currency: "ISK",
    currencySymbol: "kr",
    emoji: "🇮🇸",
    emojiU: "U+1F1EE U+1F1F8",
    iso2: "IS",
    iso3: "ISL",
    native: "Ísland",
    numericCode: "352",
    phoneCode: "354",
    region: "Europe",
    subregion: "Northern Europe",
    tld: ".is",
    states: [
      icelandCapitalRegion,
      icelandEasternRegion,
      icelandNortheasternRegion,
      icelandNorthwesternRegion,
      icelandSouthernPeninsulaRegion,
      icelandSouthernRegion,
      icelandWesternRegion,
      icelandWestfjords
    ],
    timezones: [
      Timezone(
          abbreviation: "GMT",
          gmtOffset: 0,
          gmtOffsetName: "UTC±00",
          tzName: "Greenwich Mean Time",
          zoneName: "Atlantic/Reykjavik")
    ],
    translations: {
      "kr": "아이슬란드",
      "br": "Islândia",
      "pt": "Islândia",
      "nl": "IJsland",
      "hr": "Island",
      "fa": "ایسلند",
      "de": "Island",
      "es": "Islandia",
      "fr": "Islande",
      "ja": "アイスランド",
      "it": "Islanda",
      "cn": "冰岛"
    });
