/// Access to known geographies in Iran and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'iran_states.dart';

/// The country of `🇮🇷 Iran`, and its 31 states
const Country iran = Country(
    id: 103,
    name: "Iran",
    longitude: 53.0,
    latitude: 32.0,
    capital: "Tehran",
    currency: "IRR",
    currencySymbol: "﷼",
    emoji: "🇮🇷",
    emojiU: "U+1F1EE U+1F1F7",
    iso2: "IR",
    iso3: "IRN",
    native: "ایران",
    numericCode: "364",
    phoneCode: "98",
    region: "Asia",
    subregion: "Southern Asia",
    tld: ".ir",
    states: [
      iranAlborzProvince,
      iranArdabilProvince,
      iranBushehrProvince,
      iranChaharmahalAandBakhtiariProvince,
      iranEastAzerbaijanProvince,
      iranFarsProvince,
      iranGilanProvince,
      iranGolestanProvince,
      iranHamadanProvince,
      iranHormozganProvince,
      iranIlamProvince,
      iranIsfahanProvince,
      iranKermanProvince,
      iranKermanshahProvince,
      iranKhuzestanProvince,
      iranKohgiluyehAandBoyerHypAhmadProvince,
      iranKurdistanProvince,
      iranLorestanProvince,
      iranMarkaziProvince,
      iranMazandaranProvince,
      iranNorthKhorasanProvince,
      iranQazvinProvince,
      iranQomProvince,
      iranRazaviKhorasanProvince,
      iranSemnanProvince,
      iranSistanAandBaluchestan,
      iranSouthKhorasanProvince,
      iranTehranProvince,
      iranWestAzarbaijanProvince,
      iranYazdProvince,
      iranZanjanProvince
    ],
    timezones: [
      Timezone(
          abbreviation: "IRDT",
          gmtOffset: 12600,
          gmtOffsetName: "UTC+03:30",
          tzName: "Iran Daylight Time",
          zoneName: "Asia/Tehran")
    ],
    translations: {
      "kr": "이란",
      "br": "Irã",
      "pt": "Irão",
      "nl": "Iran",
      "hr": "Iran",
      "fa": "ایران",
      "de": "Iran",
      "es": "Iran",
      "fr": "Iran",
      "ja": "イラン・イスラム共和国",
      "cn": "伊朗"
    });
