/// Access to known geographies in Iraq and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'iraq_states.dart';

/// The country of `🇮🇶 Iraq`, and its 18 states
const Country iraq = Country(
    id: 104,
    name: "Iraq",
    longitude: 44.0,
    latitude: 33.0,
    capital: "Baghdad",
    currency: "IQD",
    currencySymbol: "د.ع",
    emoji: "🇮🇶",
    emojiU: "U+1F1EE U+1F1F6",
    iso2: "IQ",
    iso3: "IRQ",
    native: "العراق",
    numericCode: "368",
    phoneCode: "964",
    region: "Asia",
    subregion: "Western Asia",
    tld: ".iq",
    states: [
      iraqAlAnbarGovernorate,
      iraqAlMuthannaGovernorate,
      iraqAlHypQadisiyyahGovernorate,
      iraqBabylonGovernorate,
      iraqBaghdadGovernorate,
      iraqBasraGovernorate,
      iraqDhiQarGovernorate,
      iraqDiyalaGovernorate,
      iraqDohukGovernorate,
      iraqErbilGovernorate,
      iraqKarbalaGovernorate,
      iraqKirkukGovernorate,
      iraqMaysanGovernorate,
      iraqNajafGovernorate,
      iraqNinevehGovernorate,
      iraqSaladinGovernorate,
      iraqSulaymaniyahGovernorate,
      iraqWasitGovernorate
    ],
    timezones: [
      Timezone(
          abbreviation: "AST",
          gmtOffset: 10800,
          gmtOffsetName: "UTC+03:00",
          tzName: "Arabia Standard Time",
          zoneName: "Asia/Baghdad")
    ],
    translations: {
      "kr": "이라크",
      "br": "Iraque",
      "pt": "Iraque",
      "nl": "Irak",
      "hr": "Irak",
      "fa": "عراق",
      "de": "Irak",
      "es": "Irak",
      "fr": "Irak",
      "ja": "イラク",
      "it": "Iraq",
      "cn": "伊拉克"
    });
