/// Access to known geographies in Israel and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'israel_states.dart';

/// The country of `🇮🇱 Israel`, and its 6 states
const Country israel = Country(
    id: 106,
    name: "Israel",
    longitude: 34.75,
    latitude: 31.5,
    capital: "Jerusalem",
    currency: "ILS",
    currencySymbol: "₪",
    emoji: "🇮🇱",
    emojiU: "U+1F1EE U+1F1F1",
    iso2: "IL",
    iso3: "ISR",
    native: "יִשְׂרָאֵל",
    numericCode: "376",
    phoneCode: "972",
    region: "Asia",
    subregion: "Western Asia",
    tld: ".il",
    states: [
      israelCentralDistrict,
      israelHaifaDistrict,
      israelJerusalemDistrict,
      israelNorthernDistrict,
      israelSouthernDistrict,
      israelTelAvivDistrict
    ],
    timezones: [
      Timezone(
          abbreviation: "IST",
          gmtOffset: 7200,
          gmtOffsetName: "UTC+02:00",
          tzName: "Israel Standard Time",
          zoneName: "Asia/Jerusalem")
    ],
    translations: {
      "kr": "이스라엘",
      "br": "Israel",
      "pt": "Israel",
      "nl": "Israël",
      "hr": "Izrael",
      "fa": "اسرائیل",
      "de": "Israel",
      "es": "Israel",
      "fr": "Israël",
      "ja": "イスラエル",
      "it": "Israele",
      "cn": "以色列"
    });
