/// Access to known geographies in Italy and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'italy_states.dart';

/// The country of `🇮🇹 Italy`, and its 128 states
const Country italy = Country(
    id: 107,
    name: "Italy",
    longitude: 12.83333333,
    latitude: 42.83333333,
    capital: "Rome",
    currency: "EUR",
    currencySymbol: "€",
    emoji: "🇮🇹",
    emojiU: "U+1F1EE U+1F1F9",
    iso2: "IT",
    iso3: "ITA",
    native: "Italia",
    numericCode: "380",
    phoneCode: "39",
    region: "Europe",
    subregion: "Southern Europe",
    tld: ".it",
    states: [
      italyAbruzzoRregion,
      italyAostaValleyAautonomousRregion,
      italyApuliaRregion,
      italyBasilicataRregion,
      italyBeneventoProvincePprovince,
      italyCalabriaRregion,
      italyCampaniaRregion,
      italyEmiliaHypRomagnaRregion,
      italyFriuliVeneziaGiuliaAautonomousRregion,
      italyLazioRregion,
      italyLiberoCconsorzioCcomunaleDdiAgrigentoFfreeMmunicipalCconsortium,
      italyLiberoCconsorzioCcomunaleDdiCaltanissettaFfreeMmunicipalCconsortium,
      italyLiberoCconsorzioCcomunaleDdiEnnaFfreeMmunicipalCconsortium,
      italyLiberoCconsorzioCcomunaleDdiRagusaFfreeMmunicipalCconsortium,
      italyLiberoCconsorzioCcomunaleDdiSiracusaFfreeMmunicipalCconsortium,
      italyLiberoCconsorzioCcomunaleDdiTrapaniFfreeMmunicipalCconsortium,
      italyLiguriaRregion,
      italyLombardyRregion,
      italyMarcheRregion,
      italyMetropolitanCityOofBariMmetropolitanCcity,
      italyMetropolitanCityOofBolognaMmetropolitanCcity,
      italyMetropolitanCityOofCagliariMmetropolitanCcity,
      italyMetropolitanCityOofCataniaMmetropolitanCcity,
      italyMetropolitanCityOofFlorenceMmetropolitanCcity,
      italyMetropolitanCityOofGenoaMmetropolitanCcity,
      italyMetropolitanCityOofMessinaMmetropolitanCcity,
      italyMetropolitanCityOofMilanMmetropolitanCcity,
      italyMetropolitanCityOofNaplesMmetropolitanCcity,
      italyMetropolitanCityOofPalermoPprovince,
      italyMetropolitanCityOofReggioCalabriaMmetropolitanCcity,
      italyMetropolitanCityOofRomeMmetropolitanCcity,
      italyMetropolitanCityOofTurinMmetropolitanCcity,
      italyMetropolitanCityOofVeniceMmetropolitanCcity,
      italyMoliseRregion,
      italyPesaroAandUrbinoProvincePprovince,
      italyPiedmontRregion,
      italyProvinceOofAlessandriaPprovince,
      italyProvinceOofAnconaPprovince,
      italyProvinceOofAscoliPicenoPprovince,
      italyProvinceOofAstiPprovince,
      italyProvinceOofAvellinoPprovince,
      italyProvinceOofBarlettaHypAndriaHypTraniPprovince,
      italyProvinceOofBellunoPprovince,
      italyProvinceOofBergamoPprovince,
      italyProvinceOofBiellaPprovince,
      italyProvinceOofBresciaPprovince,
      italyProvinceOofBrindisiPprovince,
      italyProvinceOofCampobassoPprovince,
      italyProvinceOofCarboniaHypIglesiasPprovince,
      italyProvinceOofCasertaPprovince,
      italyProvinceOofCatanzaroPprovince,
      italyProvinceOofChietiPprovince,
      italyProvinceOofComoPprovince,
      italyProvinceOofCosenzaPprovince,
      italyProvinceOofCremonaPprovince,
      italyProvinceOofCrotonePprovince,
      italyProvinceOofCuneoPprovince,
      italyProvinceOofFermoPprovince,
      italyProvinceOofFerraraPprovince,
      italyProvinceOofFoggiaPprovince,
      italyProvinceOofForliHypCesenaPprovince,
      italyProvinceOofFrosinonePprovince,
      italyProvinceOofGoriziaDdecentralizedRregionalEentity,
      italyProvinceOofGrossetoPprovince,
      italyProvinceOofImperiaPprovince,
      italyProvinceOofIserniaPprovince,
      italyProvinceOofLAquilaPprovince,
      italyProvinceOofLaSpeziaPprovince,
      italyProvinceOofLatinaPprovince,
      italyProvinceOofLeccePprovince,
      italyProvinceOofLeccoPprovince,
      italyProvinceOofLivornoPprovince,
      italyProvinceOofLodiPprovince,
      italyProvinceOofLuccaPprovince,
      italyProvinceOofMacerataPprovince,
      italyProvinceOofMantuaPprovince,
      italyProvinceOofMassaAandCarraraPprovince,
      italyProvinceOofMateraPprovince,
      italyProvinceOofMedioCampidanoPprovince,
      italyProvinceOofModenaPprovince,
      italyProvinceOofMonzaAandBrianzaPprovince,
      italyProvinceOofNovaraPprovince,
      italyProvinceOofNuoroPprovince,
      italyProvinceOofOgliastraPprovince,
      italyProvinceOofOlbiaHypTempioMmetropolitanCcity,
      italyProvinceOofOristanoPprovince,
      italyProvinceOofPaduaPprovince,
      italyProvinceOofParmaPprovince,
      italyProvinceOofPaviaPprovince,
      italyProvinceOofPerugiaPprovince,
      italyProvinceOofPescaraPprovince,
      italyProvinceOofPiacenzaPprovince,
      italyProvinceOofPisaPprovince,
      italyProvinceOofPistoiaPprovince,
      italyProvinceOofPordenoneDdecentralizedRregionalEentity,
      italyProvinceOofPotenzaPprovince,
      italyProvinceOofPratoPprovince,
      italyProvinceOofRavennaPprovince,
      italyProvinceOofReggioEmiliaPprovince,
      italyProvinceOofRietiPprovince,
      italyProvinceOofRiminiPprovince,
      italyProvinceOofRovigoPprovince,
      italyProvinceOofSalernoPprovince,
      italyProvinceOofSassariPprovince,
      italyProvinceOofSavonaPprovince,
      italyProvinceOofSienaPprovince,
      italyProvinceOofSondrioPprovince,
      italyProvinceOofTarantoPprovince,
      italyProvinceOofTeramoPprovince,
      italyProvinceOofTerniPprovince,
      italyProvinceOofTrevisoPprovince,
      italyProvinceOofTriesteDdecentralizedRregionalEentity,
      italyProvinceOofUdineDdecentralizedRregionalEentity,
      italyProvinceOofVaresePprovince,
      italyProvinceOofVerbanoHypCusioHypOssolaPprovince,
      italyProvinceOofVercelliPprovince,
      italyProvinceOofVeronaPprovince,
      italyProvinceOofViboValentiaPprovince,
      italyProvinceOofVicenzaPprovince,
      italyProvinceOofViterboPprovince,
      italySardiniaAautonomousRregion,
      italySicilyAautonomousRregion,
      italySouthTyrolAautonomousPprovince,
      italyTrentinoAautonomousPprovince,
      italyTrentinoHypSouthTyrolAautonomousRregion,
      italyTuscanyRregion,
      italyUmbriaRregion,
      italyVenetoRregion
    ],
    timezones: [
      Timezone(
          abbreviation: "CET",
          gmtOffset: 3600,
          gmtOffsetName: "UTC+01:00",
          tzName: "Central European Time",
          zoneName: "Europe/Rome")
    ],
    translations: {
      "kr": "이탈리아",
      "br": "Itália",
      "pt": "Itália",
      "nl": "Italië",
      "hr": "Italija",
      "fa": "ایتالیا",
      "de": "Italien",
      "es": "Italia",
      "fr": "Italie",
      "ja": "イタリア",
      "it": "Italia",
      "cn": "意大利"
    });
