/// Access to known geographies in Japan and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'japan_states.dart';

/// The country of `🇯🇵 Japan`, and its 47 states
const Country japan = Country(
    id: 109,
    name: "Japan",
    longitude: 138.0,
    latitude: 36.0,
    capital: "Tokyo",
    currency: "JPY",
    currencySymbol: "¥",
    emoji: "🇯🇵",
    emojiU: "U+1F1EF U+1F1F5",
    iso2: "JP",
    iso3: "JPN",
    native: "日本",
    numericCode: "392",
    phoneCode: "81",
    region: "Asia",
    subregion: "Eastern Asia",
    tld: ".jp",
    states: [
      japanAichiPrefecture,
      japanAkitaPrefecture,
      japanAomoriPrefecture,
      japanChibaPrefecture,
      japanEhimePrefecture,
      japanFukuiPrefecture,
      japanFukuokaPrefecture,
      japanFukushimaPrefecture,
      japanGifuPrefecture,
      japanGunmaPrefecture,
      japanHiroshimaPrefecture,
      japanHokkaidoPrefecture,
      japanHyogoPrefecture,
      japanIbarakiPrefecture,
      japanIshikawaPrefecture,
      japanIwatePrefecture,
      japanKagawaPrefecture,
      japanKagoshimaPrefecture,
      japanKanagawaPrefecture,
      japanKochiPrefecture,
      japanKumamotoPrefecture,
      japanKyotoPrefecture,
      japanMiePrefecture,
      japanMiyagiPrefecture,
      japanMiyazakiPrefecture,
      japanNaganoPrefecture,
      japanNagasakiPrefecture,
      japanNaraPrefecture,
      japanNiigataPrefecture,
      japanOitaPrefecture,
      japanOkayamaPrefecture,
      japanOkinawaPrefecture,
      japanOsakaPrefecture,
      japanSagaPrefecture,
      japanSaitamaPrefecture,
      japanShigaPrefecture,
      japanShimanePrefecture,
      japanShizuokaPrefecture,
      japanTochigiPrefecture,
      japanTokushimaPrefecture,
      japanTokyo,
      japanTottoriPrefecture,
      japanToyamaPrefecture,
      japanWakayamaPrefecture,
      japanYamagataPrefecture,
      japanYamaguchiPrefecture,
      japanYamanashiPrefecture
    ],
    timezones: [
      Timezone(
          abbreviation: "JST",
          gmtOffset: 32400,
          gmtOffsetName: "UTC+09:00",
          tzName: "Japan Standard Time",
          zoneName: "Asia/Tokyo")
    ],
    translations: {
      "kr": "일본",
      "br": "Japão",
      "pt": "Japão",
      "nl": "Japan",
      "hr": "Japan",
      "fa": "ژاپن",
      "de": "Japan",
      "es": "Japón",
      "fr": "Japon",
      "ja": "日本",
      "it": "Giappone",
      "cn": "日本"
    });
