/// Access to known geographies in Jordan and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'jordan_states.dart';

/// The country of `🇯🇴 Jordan`, and its 12 states
const Country jordan = Country(
    id: 111,
    name: "Jordan",
    longitude: 36.0,
    latitude: 31.0,
    capital: "Amman",
    currency: "JOD",
    currencySymbol: "ا.د",
    emoji: "🇯🇴",
    emojiU: "U+1F1EF U+1F1F4",
    iso2: "JO",
    iso3: "JOR",
    native: "الأردن",
    numericCode: "400",
    phoneCode: "962",
    region: "Asia",
    subregion: "Western Asia",
    tld: ".jo",
    states: [
      jordanAjlounGovernorate,
      jordanAmmanGovernorate,
      jordanAqabaGovernorate,
      jordanBalqaGovernorate,
      jordanIrbidGovernorate,
      jordanJerashGovernorate,
      jordanKarakGovernorate,
      jordanMaanGovernorate,
      jordanMadabaGovernorate,
      jordanMafraqGovernorate,
      jordanTafilahGovernorate,
      jordanZarqaGovernorate
    ],
    timezones: [
      Timezone(
          abbreviation: "EET",
          gmtOffset: 7200,
          gmtOffsetName: "UTC+02:00",
          tzName: "Eastern European Time",
          zoneName: "Asia/Amman")
    ],
    translations: {
      "kr": "요르단",
      "br": "Jordânia",
      "pt": "Jordânia",
      "nl": "Jordanië",
      "hr": "Jordan",
      "fa": "اردن",
      "de": "Jordanien",
      "es": "Jordania",
      "fr": "Jordanie",
      "ja": "ヨルダン",
      "it": "Giordania",
      "cn": "约旦"
    });
