/// Access to known geographies in Kazakhstan and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'kazakhstan_states.dart';

/// The country of `🇰🇿 Kazakhstan`, and its 17 states
const Country kazakhstan = Country(
    id: 112,
    name: "Kazakhstan",
    longitude: 68.0,
    latitude: 48.0,
    capital: "Astana",
    currency: "KZT",
    currencySymbol: "лв",
    emoji: "🇰🇿",
    emojiU: "U+1F1F0 U+1F1FF",
    iso2: "KZ",
    iso3: "KAZ",
    native: "Қазақстан",
    numericCode: "398",
    phoneCode: "7",
    region: "Asia",
    subregion: "Central Asia",
    tld: ".kz",
    states: [
      kazakhstanAkmolaRegion,
      kazakhstanAktobeRegion,
      kazakhstanAlmaty,
      kazakhstanAlmatyRegion,
      kazakhstanAtyrauRegion,
      kazakhstanBaikonur,
      kazakhstanEastKazakhstanRegion,
      kazakhstanJambylRegion,
      kazakhstanKaragandaRegion,
      kazakhstanKostanayRegion,
      kazakhstanKyzylordaRegion,
      kazakhstanMangystauRegion,
      kazakhstanNorthKazakhstanRegion,
      kazakhstanNurHypSultan,
      kazakhstanPavlodarRegion,
      kazakhstanTurkestanRegion,
      kazakhstanWestKazakhstanProvince
    ],
    timezones: [
      Timezone(
          abbreviation: "ALMT",
          gmtOffset: 21600,
          gmtOffsetName: "UTC+06:00",
          tzName: "Alma-Ata Time[1",
          zoneName: "Asia/Almaty"),
      Timezone(
          abbreviation: "AQTT",
          gmtOffset: 18000,
          gmtOffsetName: "UTC+05:00",
          tzName: "Aqtobe Time",
          zoneName: "Asia/Aqtau"),
      Timezone(
          abbreviation: "AQTT",
          gmtOffset: 18000,
          gmtOffsetName: "UTC+05:00",
          tzName: "Aqtobe Time",
          zoneName: "Asia/Aqtobe"),
      Timezone(
          abbreviation: "MSD+1",
          gmtOffset: 18000,
          gmtOffsetName: "UTC+05:00",
          tzName: "Moscow Daylight Time+1",
          zoneName: "Asia/Atyrau"),
      Timezone(
          abbreviation: "ORAT",
          gmtOffset: 18000,
          gmtOffsetName: "UTC+05:00",
          tzName: "Oral Time",
          zoneName: "Asia/Oral"),
      Timezone(
          abbreviation: "QYZST",
          gmtOffset: 21600,
          gmtOffsetName: "UTC+06:00",
          tzName: "Qyzylorda Summer Time",
          zoneName: "Asia/Qostanay"),
      Timezone(
          abbreviation: "QYZT",
          gmtOffset: 18000,
          gmtOffsetName: "UTC+05:00",
          tzName: "Qyzylorda Summer Time",
          zoneName: "Asia/Qyzylorda")
    ],
    translations: {
      "kr": "카자흐스탄",
      "br": "Cazaquistão",
      "pt": "Cazaquistão",
      "nl": "Kazachstan",
      "hr": "Kazahstan",
      "fa": "قزاقستان",
      "de": "Kasachstan",
      "es": "Kazajistán",
      "fr": "Kazakhstan",
      "ja": "カザフスタン",
      "it": "Kazakistan",
      "cn": "哈萨克斯坦"
    });
