/// Access to known geographies in Kenya and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'kenya_states.dart';

/// The country of `🇰🇪 Kenya`, and its 54 states
const Country kenya = Country(
    id: 113,
    name: "Kenya",
    longitude: 38.0,
    latitude: 1.0,
    capital: "Nairobi",
    currency: "KES",
    currencySymbol: "KSh",
    emoji: "🇰🇪",
    emojiU: "U+1F1F0 U+1F1EA",
    iso2: "KE",
    iso3: "KEN",
    native: "Kenya",
    numericCode: "404",
    phoneCode: "254",
    region: "Africa",
    subregion: "Eastern Africa",
    tld: ".ke",
    states: [
      kenyaBaringoCounty,
      kenyaBometCounty,
      kenyaBungomaCounty,
      kenyaBusiaCounty,
      kenyaCentralProvince,
      kenyaCoastProvince,
      kenyaEasternProvince,
      kenyaElgeyoHypMarakwetCounty,
      kenyaEmbuCounty,
      kenyaGarissaCounty,
      kenyaHomaBayCounty,
      kenyaIsioloCounty,
      kenyaKajiadoCounty,
      kenyaKakamegaCounty,
      kenyaKerichoCounty,
      kenyaKiambuCounty,
      kenyaKilifiCounty,
      kenyaKirinyagaCounty,
      kenyaKisiiCounty,
      kenyaKisumuCounty,
      kenyaKituiCounty,
      kenyaKwaleCounty,
      kenyaLaikipiaCounty,
      kenyaLamuCounty,
      kenyaMachakosCounty,
      kenyaMakueniCounty,
      kenyaManderaCounty,
      kenyaMarsabitCounty,
      kenyaMeruCounty,
      kenyaMigoriCounty,
      kenyaMombasaCounty,
      kenyaMurangaCounty,
      kenyaNairobi,
      kenyaNakuruCountyCcounty,
      kenyaNandiDistrict,
      kenyaNarokCounty,
      kenyaNorthEasternProvince,
      kenyaNyamiraCountyCcounty,
      kenyaNyandaruaCounty,
      kenyaNyanzaProvince,
      kenyaNyeriCounty,
      kenyaRiftValleyProvince,
      kenyaSamburuCounty,
      kenyaSiayaCounty,
      kenyaTaitaTavetaCounty,
      kenyaTanaRiverCounty,
      kenyaTharakaNithiCounty,
      kenyaTransHypNzoiaDistrict,
      kenyaTurkanaCounty,
      kenyaUasinGishuCcounty,
      kenyaVihigaCountyCcounty,
      kenyaWajirCounty,
      kenyaWestPokotCounty,
      kenyaWesternProvince
    ],
    timezones: [
      Timezone(
          abbreviation: "EAT",
          gmtOffset: 10800,
          gmtOffsetName: "UTC+03:00",
          tzName: "East Africa Time",
          zoneName: "Africa/Nairobi")
    ],
    translations: {
      "kr": "케냐",
      "br": "Quênia",
      "pt": "Quénia",
      "nl": "Kenia",
      "hr": "Kenija",
      "fa": "کنیا",
      "de": "Kenia",
      "es": "Kenia",
      "fr": "Kenya",
      "ja": "ケニア",
      "it": "Kenya",
      "cn": "肯尼亚"
    });
