/// Access to known geographies in Kyrgyzstan and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'kyrgyzstan_states.dart';

/// The country of `🇰🇬 Kyrgyzstan`, and its 9 states
const Country kyrgyzstan = Country(
    id: 118,
    name: "Kyrgyzstan",
    longitude: 75.0,
    latitude: 41.0,
    capital: "Bishkek",
    currency: "KGS",
    currencySymbol: "лв",
    emoji: "🇰🇬",
    emojiU: "U+1F1F0 U+1F1EC",
    iso2: "KG",
    iso3: "KGZ",
    native: "Кыргызстан",
    numericCode: "417",
    phoneCode: "996",
    region: "Asia",
    subregion: "Central Asia",
    tld: ".kg",
    states: [
      kyrgyzstanBatkenRegion,
      kyrgyzstanBishkek,
      kyrgyzstanChuyRegion,
      kyrgyzstanIssykHypKulRegion,
      kyrgyzstanJalalHypAbadRegion,
      kyrgyzstanNarynRegion,
      kyrgyzstanOsh,
      kyrgyzstanOshRegion,
      kyrgyzstanTalasRegion
    ],
    timezones: [
      Timezone(
          abbreviation: "KGT",
          gmtOffset: 21600,
          gmtOffsetName: "UTC+06:00",
          tzName: "Kyrgyzstan Time",
          zoneName: "Asia/Bishkek")
    ],
    translations: {
      "kr": "키르기스스탄",
      "br": "Quirguistão",
      "pt": "Quirguizistão",
      "nl": "Kirgizië",
      "hr": "Kirgistan",
      "fa": "قرقیزستان",
      "de": "Kirgisistan",
      "es": "Kirguizistán",
      "fr": "Kirghizistan",
      "ja": "キルギス",
      "it": "Kirghizistan",
      "cn": "吉尔吉斯斯坦"
    });
