/// Access to known geographies in Latvia and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'latvia_states.dart';

/// The country of `🇱🇻 Latvia`, and its 118 states
const Country latvia = Country(
    id: 120,
    name: "Latvia",
    longitude: 25.0,
    latitude: 57.0,
    capital: "Riga",
    currency: "EUR",
    currencySymbol: "€",
    emoji: "🇱🇻",
    emojiU: "U+1F1F1 U+1F1FB",
    iso2: "LV",
    iso3: "LVA",
    native: "Latvija",
    numericCode: "428",
    phoneCode: "371",
    region: "Europe",
    subregion: "Northern Europe",
    tld: ".lv",
    states: [
      latviaAglonaMunicipality,
      latviaAizkraukleMunicipality,
      latviaAizputeMunicipality,
      latviaAknisteMunicipality,
      latviaAlojaMunicipality,
      latviaAlsungaMunicipality,
      latviaAluksneMunicipality,
      latviaAmataMunicipality,
      latviaApeMunicipality,
      latviaAuceMunicipality,
      latviaBabiteMunicipality,
      latviaBaldoneMunicipality,
      latviaBaltinavaMunicipality,
      latviaBalviMunicipality,
      latviaBauskaMunicipality,
      latviaBeverinaMunicipality,
      latviaBroceniMunicipality,
      latviaBurtniekiMunicipality,
      latviaCarnikavaMunicipality,
      latviaCesisMunicipality,
      latviaCesvaineMunicipality,
      latviaCiblaMunicipality,
      latviaDagdaMunicipality,
      latviaDaugavpils,
      latviaDaugavpilsMunicipality,
      latviaDobeleMunicipality,
      latviaDundagaMunicipality,
      latviaDurbeMunicipality,
      latviaEngureMunicipality,
      latviaErgliMunicipality,
      latviaGarkalneMunicipality,
      latviaGrobinaMunicipality,
      latviaGulbeneMunicipality,
      latviaIecavaMunicipality,
      latviaIkskileMunicipality,
      latviaIluksteMunicipality,
      latviaIncukalnsMunicipality,
      latviaJaunjelgavaMunicipality,
      latviaJaunpiebalgaMunicipality,
      latviaJaunpilsMunicipality,
      latviaJekabpils,
      latviaJekabpilsMunicipality,
      latviaJelgava,
      latviaJelgavaMunicipality,
      latviaJurmala,
      latviaKandavaMunicipality,
      latviaKarsavaMunicipality,
      latviaKegumsMunicipality,
      latviaKekavaMunicipality,
      latviaKoceniMunicipality,
      latviaKokneseMunicipality,
      latviaKraslavaMunicipality,
      latviaKrimuldaMunicipality,
      latviaKrustpilsMunicipality,
      latviaKuldigaMunicipality,
      latviaLielvardeMunicipality,
      latviaLiepaja,
      latviaLigatneMunicipality,
      latviaLimbaziMunicipality,
      latviaLivaniMunicipality,
      latviaLubanaMunicipality,
      latviaLudzaMunicipality,
      latviaMadonaMunicipality,
      latviaMalpilsMunicipality,
      latviaMarupeMunicipality,
      latviaMazsalacaMunicipality,
      latviaMersragsMunicipality,
      latviaNaukseniMunicipality,
      latviaNeretaMunicipality,
      latviaNicaMunicipality,
      latviaOgreMunicipality,
      latviaOlaineMunicipality,
      latviaOzolniekiMunicipality,
      latviaPargaujaMunicipality,
      latviaPavilostaMunicipality,
      latviaPlavinasMunicipality,
      latviaPreiliMunicipality,
      latviaPriekuleMunicipality,
      latviaPriekuliMunicipality,
      latviaRaunaMunicipality,
      latviaRezekne,
      latviaRezekneMunicipality,
      latviaRiebiniMunicipality,
      latviaRiga,
      latviaRojaMunicipality,
      latviaRopaziMunicipality,
      latviaRucavaMunicipality,
      latviaRugajiMunicipality,
      latviaRujienaMunicipality,
      latviaRundaleMunicipality,
      latviaSalaMunicipality,
      latviaSalacgrivaMunicipality,
      latviaSalaspilsMunicipality,
      latviaSaldusMunicipality,
      latviaSaulkrastiMunicipality,
      latviaSejaMunicipality,
      latviaSiguldaMunicipality,
      latviaSkriveriMunicipality,
      latviaSkrundaMunicipality,
      latviaSmilteneMunicipality,
      latviaStopiniMunicipality,
      latviaStrenciMunicipality,
      latviaTalsiMunicipality,
      latviaTerveteMunicipality,
      latviaTukumsMunicipality,
      latviaVainodeMunicipality,
      latviaValkaMunicipality,
      latviaValmiera,
      latviaVaraklaniMunicipality,
      latviaVarkavaMunicipality,
      latviaVecpiebalgaMunicipality,
      latviaVecumniekiMunicipality,
      latviaVentspils,
      latviaVentspilsMunicipality,
      latviaViesiteMunicipality,
      latviaVilakaMunicipality,
      latviaVilaniMunicipality,
      latviaZilupeMunicipality
    ],
    timezones: [
      Timezone(
          abbreviation: "EET",
          gmtOffset: 7200,
          gmtOffsetName: "UTC+02:00",
          tzName: "Eastern European Time",
          zoneName: "Europe/Riga")
    ],
    translations: {
      "kr": "라트비아",
      "br": "Letônia",
      "pt": "Letónia",
      "nl": "Letland",
      "hr": "Latvija",
      "fa": "لتونی",
      "de": "Lettland",
      "es": "Letonia",
      "fr": "Lettonie",
      "ja": "ラトビア",
      "it": "Lettonia",
      "cn": "拉脱维亚"
    });
