/// Access to known geographies in Liberia and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'liberia_states.dart';

/// The country of `🇱🇷 Liberia`, and its 15 states
const Country liberia = Country(
    id: 123,
    name: "Liberia",
    longitude: -9.5,
    latitude: 6.5,
    capital: "Monrovia",
    currency: "LRD",
    currencySymbol: "\$",
    emoji: "🇱🇷",
    emojiU: "U+1F1F1 U+1F1F7",
    iso2: "LR",
    iso3: "LBR",
    native: "Liberia",
    numericCode: "430",
    phoneCode: "231",
    region: "Africa",
    subregion: "Western Africa",
    tld: ".lr",
    states: [
      liberiaBomiCounty,
      liberiaBongCounty,
      liberiaGbarpoluCounty,
      liberiaGrandBassaCounty,
      liberiaGrandCapeMountCounty,
      liberiaGrandGedehCounty,
      liberiaGrandKruCounty,
      liberiaLofaCounty,
      liberiaMargibiCounty,
      liberiaMarylandCounty,
      liberiaMontserradoCounty,
      liberiaNimba,
      liberiaRiverCessCounty,
      liberiaRiverGeeCounty,
      liberiaSinoeCounty
    ],
    timezones: [
      Timezone(
          abbreviation: "GMT",
          gmtOffset: 0,
          gmtOffsetName: "UTC±00",
          tzName: "Greenwich Mean Time",
          zoneName: "Africa/Monrovia")
    ],
    translations: {
      "kr": "라이베리아",
      "br": "Libéria",
      "pt": "Libéria",
      "nl": "Liberia",
      "hr": "Liberija",
      "fa": "لیبریا",
      "de": "Liberia",
      "es": "Liberia",
      "fr": "Liberia",
      "ja": "リベリア",
      "it": "Liberia",
      "cn": "利比里亚"
    });
