/// Access to known geographies in Lithuania and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'lithuania_states.dart';

/// The country of `🇱🇹 Lithuania`, and its 69 states
const Country lithuania = Country(
    id: 126,
    name: "Lithuania",
    longitude: 24.0,
    latitude: 56.0,
    capital: "Vilnius",
    currency: "EUR",
    currencySymbol: "€",
    emoji: "🇱🇹",
    emojiU: "U+1F1F1 U+1F1F9",
    iso2: "LT",
    iso3: "LTU",
    native: "Lietuva",
    numericCode: "440",
    phoneCode: "370",
    region: "Europe",
    subregion: "Northern Europe",
    tld: ".lt",
    states: [
      lithuaniaAkmeneDistrictMunicipality,
      lithuaniaAlytusCityMunicipality,
      lithuaniaAlytusCounty,
      lithuaniaAlytusDistrictMunicipality,
      lithuaniaBirstonasMunicipality,
      lithuaniaBirzaiDistrictMunicipality,
      lithuaniaDruskininkaiMmunicipality,
      lithuaniaElektrenaiMmunicipality,
      lithuaniaIgnalinaDistrictMunicipality,
      lithuaniaJonavaDistrictMunicipality,
      lithuaniaJoniskisDistrictMunicipality,
      lithuaniaJurbarkasDistrictMunicipality,
      lithuaniaKaisiadorysDistrictMunicipality,
      lithuaniaKalvarijaMmunicipality,
      lithuaniaKaunasCityMunicipality,
      lithuaniaKaunasCounty,
      lithuaniaKaunasDistrictMunicipality,
      lithuaniaKazluRudaMmunicipality,
      lithuaniaKedainiaiDistrictMunicipality,
      lithuaniaKelmeDistrictMunicipality,
      lithuaniaKlaipedaCityMunicipality,
      lithuaniaKlaipedaCounty,
      lithuaniaKlaipedaDistrictMunicipality,
      lithuaniaKretingaDistrictMunicipality,
      lithuaniaKupiskisDistrictMunicipality,
      lithuaniaLazdijaiDistrictMunicipality,
      lithuaniaMarijampoleCounty,
      lithuaniaMarijampoleMunicipality,
      lithuaniaMazeikiaiDistrictMunicipality,
      lithuaniaMoletaiDistrictMunicipality,
      lithuaniaNeringaMunicipality,
      lithuaniaPagegiaiMmunicipality,
      lithuaniaPakruojisDistrictMunicipality,
      lithuaniaPalangaCityMunicipality,
      lithuaniaPanevezysCityMunicipality,
      lithuaniaPanevezysCounty,
      lithuaniaPanevezysDistrictMunicipality,
      lithuaniaPasvalysDistrictMunicipality,
      lithuaniaPlungeDistrictMunicipality,
      lithuaniaPrienaiDistrictMunicipality,
      lithuaniaRadviliskisDistrictMunicipality,
      lithuaniaRaseiniaiDistrictMunicipality,
      lithuaniaRietavasMmunicipality,
      lithuaniaRokiskisDistrictMunicipality,
      lithuaniaSakiaiDistrictMunicipality,
      lithuaniaSalcininkaiDistrictMunicipality,
      lithuaniaSiauliaiCityMunicipality,
      lithuaniaSiauliaiCounty,
      lithuaniaSiauliaiDistrictMunicipality,
      lithuaniaSilaleDistrictMunicipality,
      lithuaniaSiluteDistrictMunicipality,
      lithuaniaSirvintosDistrictMunicipality,
      lithuaniaSkuodasDistrictMunicipality,
      lithuaniaSvencionysDistrictMunicipality,
      lithuaniaTaurageCounty,
      lithuaniaTaurageDistrictMunicipality,
      lithuaniaTelsiaiCounty,
      lithuaniaTelsiaiDistrictMunicipality,
      lithuaniaTrakaiDistrictMunicipality,
      lithuaniaUkmergeDistrictMunicipality,
      lithuaniaUtenaCounty,
      lithuaniaUtenaDistrictMunicipality,
      lithuaniaVarenaDistrictMunicipality,
      lithuaniaVilkaviskisDistrictMunicipality,
      lithuaniaVilniusCityMunicipality,
      lithuaniaVilniusCounty,
      lithuaniaVilniusDistrictMunicipality,
      lithuaniaVisaginasMunicipality,
      lithuaniaZarasaiDistrictMunicipality
    ],
    timezones: [
      Timezone(
          abbreviation: "EET",
          gmtOffset: 7200,
          gmtOffsetName: "UTC+02:00",
          tzName: "Eastern European Time",
          zoneName: "Europe/Vilnius")
    ],
    translations: {
      "kr": "리투아니아",
      "br": "Lituânia",
      "pt": "Lituânia",
      "nl": "Litouwen",
      "hr": "Litva",
      "fa": "لیتوانی",
      "de": "Litauen",
      "es": "Lituania",
      "fr": "Lituanie",
      "ja": "リトアニア",
      "it": "Lituania",
      "cn": "立陶宛"
    });
