/// Access to known geographies in Macedonia and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'macedonia_states.dart';

/// The country of `🇲🇰 Macedonia`, and its 84 states
const Country macedonia = Country(
    id: 129,
    name: "Macedonia",
    longitude: 22.0,
    latitude: 41.83333333,
    capital: "Skopje",
    currency: "MKD",
    currencySymbol: "ден",
    emoji: "🇲🇰",
    emojiU: "U+1F1F2 U+1F1F0",
    iso2: "MK",
    iso3: "MKD",
    native: "Северна Македонија",
    numericCode: "807",
    phoneCode: "389",
    region: "Europe",
    subregion: "Southern Europe",
    tld: ".mk",
    states: [
      macedoniaAerodromMunicipality,
      macedoniaAracinovoMunicipality,
      macedoniaBerovoMunicipality,
      macedoniaBitolaMunicipality,
      macedoniaBogdanciMunicipality,
      macedoniaBogovinjeMunicipality,
      macedoniaBosilovoMunicipality,
      macedoniaBrvenicaMunicipality,
      macedoniaButelMunicipality,
      macedoniaCairMunicipality,
      macedoniaCaskaMunicipality,
      macedoniaCentarMunicipality,
      macedoniaCentarZupaMunicipality,
      macedoniaCesinovoHypOblesevoMunicipality,
      macedoniaCucerHypSandevoMunicipality,
      macedoniaDebarcaMunicipality,
      macedoniaDelcevoMunicipality,
      macedoniaDemirHisarMunicipality,
      macedoniaDemirKapijaMunicipality,
      macedoniaDojranMunicipality,
      macedoniaDolneniMunicipality,
      macedoniaDrugovoMunicipality,
      macedoniaGaziBabaMunicipality,
      macedoniaGevgelijaMunicipality,
      macedoniaGjorcePetrovMunicipality,
      macedoniaGostivarMunicipality,
      macedoniaGradskoMunicipality,
      macedoniaGreaterSkopje,
      macedoniaIlindenMunicipality,
      macedoniaJegunovceMunicipality,
      macedoniaKarbinci,
      macedoniaKarposMunicipality,
      macedoniaKavadarciMunicipality,
      macedoniaKicevoMunicipality,
      macedoniaKiselaVodaMunicipality,
      macedoniaKocaniMunicipality,
      macedoniaKonceMunicipality,
      macedoniaKratovoMunicipality,
      macedoniaKrivaPalankaMunicipality,
      macedoniaKrivogastaniMunicipality,
      macedoniaKrusevoMunicipality,
      macedoniaKumanovoMunicipality,
      macedoniaLipkovoMunicipality,
      macedoniaLozovoMunicipality,
      macedoniaMakedonskaKamenicaMunicipality,
      macedoniaMakedonskiBrodMunicipality,
      macedoniaMavrovoAandRostusaMunicipality,
      macedoniaMogilaMunicipality,
      macedoniaNegotinoMunicipality,
      macedoniaNovaciMunicipality,
      macedoniaNovoSeloMunicipality,
      macedoniaOhridMunicipality,
      macedoniaOslomejMunicipality,
      macedoniaPehcevoMunicipality,
      macedoniaPetrovecMunicipality,
      macedoniaPlasnicaMunicipality,
      macedoniaPrilepMunicipality,
      macedoniaProbistipMunicipality,
      macedoniaRadovisMunicipality,
      macedoniaRankovceMunicipality,
      macedoniaResenMunicipality,
      macedoniaRosomanMunicipality,
      macedoniaSarajMunicipality,
      macedoniaSopisteMunicipality,
      macedoniaStaroNagoricaneMunicipality,
      macedoniaStipMunicipality,
      macedoniaStrugaMunicipality,
      macedoniaStrumicaMunicipality,
      macedoniaStudenicaniMunicipality,
      macedoniaSutoOrizariMunicipality,
      macedoniaSvetiNikoleMunicipality,
      macedoniaTearceMunicipality,
      macedoniaTetovoMunicipality,
      macedoniaValandovoMunicipality,
      macedoniaVasilevoMunicipality,
      macedoniaVelesMunicipality,
      macedoniaVevcaniMunicipality,
      macedoniaVinicaMunicipality,
      macedoniaVranesticaMunicipality,
      macedoniaVrapcisteMunicipality,
      macedoniaZajasMunicipality,
      macedoniaZelenikovoMunicipality,
      macedoniaZelinoMunicipality,
      macedoniaZrnovciMunicipality
    ],
    timezones: [
      Timezone(
          abbreviation: "CET",
          gmtOffset: 3600,
          gmtOffsetName: "UTC+01:00",
          tzName: "Central European Time",
          zoneName: "Europe/Skopje")
    ],
    translations: {
      "kr": "마케도니아",
      "br": "Macedônia",
      "pt": "Macedónia",
      "nl": "Macedonië",
      "hr": "Makedonija",
      "fa": "",
      "de": "Mazedonien",
      "es": "Macedonia",
      "fr": "Macédoine",
      "ja": "マケドニア旧ユーゴスラビア共和国",
      "it": "Macedonia",
      "cn": "马其顿"
    });
