/// Access to known geographies in Mexico and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'mexico_states.dart';

/// The country of `🇲🇽 Mexico`, and its 32 states
const Country mexico = Country(
    id: 142,
    name: "Mexico",
    longitude: -102.0,
    latitude: 23.0,
    capital: "Mexico City",
    currency: "MXN",
    currencySymbol: "\$",
    emoji: "🇲🇽",
    emojiU: "U+1F1F2 U+1F1FD",
    iso2: "MX",
    iso3: "MEX",
    native: "México",
    numericCode: "484",
    phoneCode: "52",
    region: "Americas",
    subregion: "Central America",
    tld: ".mx",
    states: [
      mexicoAguascalientes,
      mexicoBajaCalifornia,
      mexicoBajaCaliforniaSur,
      mexicoCampeche,
      mexicoChiapas,
      mexicoChihuahua,
      mexicoCoahuila,
      mexicoColima,
      mexicoDurango,
      mexicoGuanajuato,
      mexicoGuerrero,
      mexicoHidalgo,
      mexicoJalisco,
      mexicoMexico,
      mexicoMexicoCity,
      mexicoMichoacan,
      mexicoMorelos,
      mexicoNayarit,
      mexicoNuevoLeon,
      mexicoOaxaca,
      mexicoPuebla,
      mexicoQueretaro,
      mexicoQuintanaRoo,
      mexicoSanLuisPotosi,
      mexicoSinaloa,
      mexicoSonora,
      mexicoTabasco,
      mexicoTamaulipas,
      mexicoTlaxcala,
      mexicoVeracruz,
      mexicoYucatan,
      mexicoZacatecas
    ],
    timezones: [
      Timezone(
          abbreviation: "CST",
          gmtOffset: -21600,
          gmtOffsetName: "UTC-06:00",
          tzName: "Central Standard Time (North America",
          zoneName: "America/Bahia_Banderas"),
      Timezone(
          abbreviation: "EST",
          gmtOffset: -18000,
          gmtOffsetName: "UTC-05:00",
          tzName: "Eastern Standard Time (North America",
          zoneName: "America/Cancun"),
      Timezone(
          abbreviation: "MST",
          gmtOffset: -25200,
          gmtOffsetName: "UTC-07:00",
          tzName: "Mountain Standard Time (North America",
          zoneName: "America/Chihuahua"),
      Timezone(
          abbreviation: "MST",
          gmtOffset: -25200,
          gmtOffsetName: "UTC-07:00",
          tzName: "Mountain Standard Time (North America",
          zoneName: "America/Hermosillo"),
      Timezone(
          abbreviation: "CST",
          gmtOffset: -21600,
          gmtOffsetName: "UTC-06:00",
          tzName: "Central Standard Time (North America",
          zoneName: "America/Matamoros"),
      Timezone(
          abbreviation: "MST",
          gmtOffset: -25200,
          gmtOffsetName: "UTC-07:00",
          tzName: "Mountain Standard Time (North America",
          zoneName: "America/Mazatlan"),
      Timezone(
          abbreviation: "CST",
          gmtOffset: -21600,
          gmtOffsetName: "UTC-06:00",
          tzName: "Central Standard Time (North America",
          zoneName: "America/Merida"),
      Timezone(
          abbreviation: "CST",
          gmtOffset: -21600,
          gmtOffsetName: "UTC-06:00",
          tzName: "Central Standard Time (North America",
          zoneName: "America/Mexico_City"),
      Timezone(
          abbreviation: "CST",
          gmtOffset: -21600,
          gmtOffsetName: "UTC-06:00",
          tzName: "Central Standard Time (North America",
          zoneName: "America/Monterrey"),
      Timezone(
          abbreviation: "MST",
          gmtOffset: -25200,
          gmtOffsetName: "UTC-07:00",
          tzName: "Mountain Standard Time (North America",
          zoneName: "America/Ojinaga"),
      Timezone(
          abbreviation: "PST",
          gmtOffset: -28800,
          gmtOffsetName: "UTC-08:00",
          tzName: "Pacific Standard Time (North America",
          zoneName: "America/Tijuana")
    ],
    translations: {
      "kr": "멕시코",
      "br": "México",
      "pt": "México",
      "nl": "Mexico",
      "hr": "Meksiko",
      "fa": "مکزیک",
      "de": "Mexiko",
      "es": "México",
      "fr": "Mexique",
      "ja": "メキシコ",
      "it": "Messico",
      "cn": "墨西哥"
    });
