/// Access to known geographies in Micronesia and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'micronesia_states.dart';

/// The country of `🇫🇲 Micronesia`, and its 4 states
const Country micronesia = Country(
    id: 143,
    name: "Micronesia",
    longitude: 158.25,
    latitude: 6.91666666,
    capital: "Palikir",
    currency: "USD",
    currencySymbol: "\$",
    emoji: "🇫🇲",
    emojiU: "U+1F1EB U+1F1F2",
    iso2: "FM",
    iso3: "FSM",
    native: "Micronesia",
    numericCode: "583",
    phoneCode: "691",
    region: "Oceania",
    subregion: "Micronesia",
    tld: ".fm",
    states: [
      micronesiaChuukState,
      micronesiaKosraeState,
      micronesiaPohnpeiState,
      micronesiaYapState
    ],
    timezones: [
      Timezone(
          abbreviation: "CHUT",
          gmtOffset: 36000,
          gmtOffsetName: "UTC+10:00",
          tzName: "Chuuk Time",
          zoneName: "Pacific/Chuuk"),
      Timezone(
          abbreviation: "KOST",
          gmtOffset: 39600,
          gmtOffsetName: "UTC+11:00",
          tzName: "Kosrae Time",
          zoneName: "Pacific/Kosrae"),
      Timezone(
          abbreviation: "PONT",
          gmtOffset: 39600,
          gmtOffsetName: "UTC+11:00",
          tzName: "Pohnpei Standard Time",
          zoneName: "Pacific/Pohnpei")
    ],
    translations: {
      "kr": "미크로네시아 연방",
      "br": "Micronésia",
      "pt": "Micronésia",
      "nl": "Micronesië",
      "hr": "Mikronezija",
      "fa": "ایالات فدرال میکرونزی",
      "de": "Mikronesien",
      "es": "Micronesia",
      "fr": "Micronésie",
      "ja": "ミクロネシア連邦",
      "it": "Micronesia",
      "cn": "密克罗尼西亚"
    });
