/// Access to known geographies in Morocco and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'morocco_states.dart';

/// The country of `🇲🇦 Morocco`, and its 87 states
const Country morocco = Country(
    id: 149,
    name: "Morocco",
    longitude: -5.0,
    latitude: 32.0,
    capital: "Rabat",
    currency: "MAD",
    currencySymbol: "DH",
    emoji: "🇲🇦",
    emojiU: "U+1F1F2 U+1F1E6",
    iso2: "MA",
    iso3: "MAR",
    native: "المغرب",
    numericCode: "504",
    phoneCode: "212",
    region: "Africa",
    subregion: "Northern Africa",
    tld: ".ma",
    states: [
      moroccoAgadirHypIdaHypOuHypTanane,
      moroccoAlHaouz,
      moroccoAlHoceima,
      moroccoAousserdEH,
      moroccoAssaHypZagEHHyppartial,
      moroccoAzilal,
      moroccoBeniMellal,
      moroccoBeniMellalHypKhenifra,
      moroccoBenslimane,
      moroccoBerkane,
      moroccoBerrechid,
      moroccoBoujdourEH,
      moroccoBoulemane,
      moroccoCasablanca,
      moroccoCasablancaHypSettat,
      moroccoChefchaouen,
      moroccoChichaoua,
      moroccoChtoukaHypAitBaha,
      moroccoDakhlaHypOuedEdHypDahabEH,
      moroccoDraaHypTafilalet,
      moroccoDriouch,
      moroccoElHajeb,
      moroccoElJadida,
      moroccoElKelaaDdesSraghna,
      moroccoErrachidia,
      moroccoEsHypSemaraEHHyppartial,
      moroccoEssaouira,
      moroccoFahsHypAnjra,
      moroccoFes,
      moroccoFesHypMeknes,
      moroccoFiguig,
      moroccoFquihBenSalah,
      moroccoGuelmim,
      moroccoGuelmimHypOuedNounEHHyppartial,
      moroccoGuercif,
      moroccoIfrane,
      moroccoInezganeHypAitMelloul,
      moroccoJerada,
      moroccoKenitra,
      moroccoKhemisset,
      moroccoKhenifra,
      moroccoKhouribga,
      moroccoLOriental,
      moroccoLaayouneEH,
      moroccoLaayouneHypSakiaElHamraEHHyppartial,
      moroccoLarache,
      moroccoMdiqHypFnideq,
      moroccoMarrakech,
      moroccoMarrakeshHypSafi,
      moroccoMediouna,
      moroccoMeknes,
      moroccoMidelt,
      moroccoMohammadia,
      moroccoMoulayYacoub,
      moroccoNador,
      moroccoNouaceur,
      moroccoOuarzazate,
      moroccoOuedEdHypDahabEH,
      moroccoOuezzane,
      moroccoOujdaHypAngad,
      moroccoRabat,
      moroccoRabatHypSaleHypKenitra,
      moroccoRehamna,
      moroccoSafi,
      moroccoSale,
      moroccoSefrou,
      moroccoSettat,
      moroccoSidiBennour,
      moroccoSidiIfni,
      moroccoSidiKacem,
      moroccoSidiSlimane,
      moroccoSkhirateHypTemara,
      moroccoSoussHypMassa,
      moroccoTanHypTanEHHyppartial,
      moroccoTangerHypAssilah,
      moroccoTangerHypTetouanHypAlHoceima,
      moroccoTaounate,
      moroccoTaourirt,
      moroccoTarfayaEHHyppartial,
      moroccoTaroudannt,
      moroccoTata,
      moroccoTaza,
      moroccoTetouan,
      moroccoTinghir,
      moroccoTiznit,
      moroccoYoussoufia,
      moroccoZagora
    ],
    timezones: [
      Timezone(
          abbreviation: "WEST",
          gmtOffset: 3600,
          gmtOffsetName: "UTC+01:00",
          tzName: "Western European Summer Time",
          zoneName: "Africa/Casablanca")
    ],
    translations: {
      "kr": "모로코",
      "br": "Marrocos",
      "pt": "Marrocos",
      "nl": "Marokko",
      "hr": "Maroko",
      "fa": "مراکش",
      "de": "Marokko",
      "es": "Marruecos",
      "fr": "Maroc",
      "ja": "モロッコ",
      "it": "Marocco",
      "cn": "摩洛哥"
    });
