/// Access to known geographies in North Korea and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'north_korea_states.dart';

/// The country of `🇰🇵 North Korea`, and its 11 states
const Country northKorea = Country(
    id: 115,
    name: "North Korea",
    longitude: 127.0,
    latitude: 40.0,
    capital: "Pyongyang",
    currency: "KPW",
    currencySymbol: "₩",
    emoji: "🇰🇵",
    emojiU: "U+1F1F0 U+1F1F5",
    iso2: "KP",
    iso3: "PRK",
    native: "북한",
    numericCode: "408",
    phoneCode: "850",
    region: "Asia",
    subregion: "Eastern Asia",
    tld: ".kp",
    states: [
      northKoreaChagangProvince,
      northKoreaKangwonProvince,
      northKoreaNorthHamgyongProvince,
      northKoreaNorthHwanghaeProvince,
      northKoreaNorthPyonganProvince,
      northKoreaPyongyang,
      northKoreaRason,
      northKoreaRyanggangProvince,
      northKoreaSouthHamgyongProvince,
      northKoreaSouthHwanghaeProvince,
      northKoreaSouthPyonganProvince
    ],
    timezones: [
      Timezone(
          abbreviation: "KST",
          gmtOffset: 32400,
          gmtOffsetName: "UTC+09:00",
          tzName: "Korea Standard Time",
          zoneName: "Asia/Pyongyang")
    ],
    translations: {
      "kr": "조선민주주의인민공화국",
      "br": "Coreia do Norte",
      "pt": "Coreia do Norte",
      "nl": "Noord-Korea",
      "hr": "Sjeverna Koreja",
      "fa": "کره جنوبی",
      "de": "Nordkorea",
      "es": "Corea del Norte",
      "fr": "Corée du Nord",
      "ja": "朝鮮民主主義人民共和国",
      "it": "Corea del Nord",
      "cn": "朝鲜"
    });
