/// Access to known geographies in Norway and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'norway_states.dart';

/// The country of `🇳🇴 Norway`, and its 21 states
const Country norway = Country(
    id: 165,
    name: "Norway",
    longitude: 10.0,
    latitude: 62.0,
    capital: "Oslo",
    currency: "NOK",
    currencySymbol: "kr",
    emoji: "🇳🇴",
    emojiU: "U+1F1F3 U+1F1F4",
    iso2: "NO",
    iso3: "NOR",
    native: "Norge",
    numericCode: "578",
    phoneCode: "47",
    region: "Europe",
    subregion: "Northern Europe",
    tld: ".no",
    states: [
      norwayAkershus,
      norwayBuskerud,
      norwayFinnmark,
      norwayHedmark,
      norwayHordaland,
      norwayJanMayen,
      norwayMoreOogRomsdal,
      norwayNordHypTrondelag,
      norwayNordland,
      norwayOppland,
      norwayOslo,
      norwayOstfold,
      norwayRogaland,
      norwaySognOogFjordane,
      norwaySorHypTrondelag,
      norwaySvalbard,
      norwayTelemark,
      norwayTroms,
      norwayTrondelag,
      norwayVestHypAgder,
      norwayVestfold
    ],
    timezones: [
      Timezone(
          abbreviation: "CET",
          gmtOffset: 3600,
          gmtOffsetName: "UTC+01:00",
          tzName: "Central European Time",
          zoneName: "Europe/Oslo")
    ],
    translations: {
      "kr": "노르웨이",
      "br": "Noruega",
      "pt": "Noruega",
      "nl": "Noorwegen",
      "hr": "Norveška",
      "fa": "نروژ",
      "de": "Norwegen",
      "es": "Noruega",
      "fr": "Norvège",
      "ja": "ノルウェー",
      "it": "Norvegia",
      "cn": "挪威"
    });
