/// Access to known geographies in Philippines and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'philippines_states.dart';

/// The country of `🇵🇭 Philippines`, and its 97 states
const Country philippines = Country(
    id: 174,
    name: "Philippines",
    longitude: 122.0,
    latitude: 13.0,
    capital: "Manila",
    currency: "PHP",
    currencySymbol: "₱",
    emoji: "🇵🇭",
    emojiU: "U+1F1F5 U+1F1ED",
    iso2: "PH",
    iso3: "PHL",
    native: "Pilipinas",
    numericCode: "608",
    phoneCode: "63",
    region: "Asia",
    subregion: "South-Eastern Asia",
    tld: ".ph",
    states: [
      philippinesAbra,
      philippinesAgusanDdelNorte,
      philippinesAgusanDdelSur,
      philippinesAklan,
      philippinesAlbay,
      philippinesAntique,
      philippinesApayao,
      philippinesAurora,
      philippinesAutonomousRegionIinMuslimMindanao,
      philippinesBasilan,
      philippinesBataan,
      philippinesBatanes,
      philippinesBatangas,
      philippinesBenguet,
      philippinesBicolRegion,
      philippinesBiliran,
      philippinesBohol,
      philippinesBukidnon,
      philippinesBulacan,
      philippinesCagayan,
      philippinesCagayanValley,
      philippinesCalabarzon,
      philippinesCamarinesNorte,
      philippinesCamarinesSur,
      philippinesCamiguin,
      philippinesCapiz,
      philippinesCaraga,
      philippinesCatanduanes,
      philippinesCavite,
      philippinesCebu,
      philippinesCentralLuzon,
      philippinesCentralVisayas,
      philippinesCompostelaValley,
      philippinesCordilleraAdministrativeRegion,
      philippinesCotabato,
      philippinesDavaoDdelNorte,
      philippinesDavaoDdelSur,
      philippinesDavaoOccidental,
      philippinesDavaoOriental,
      philippinesDavaoRegion,
      philippinesDinagatIslands,
      philippinesEasternSamar,
      philippinesEasternVisayas,
      philippinesGuimaras,
      philippinesIfugao,
      philippinesIlocosNorte,
      philippinesIlocosRegion,
      philippinesIlocosSur,
      philippinesIloilo,
      philippinesIsabela,
      philippinesKalinga,
      philippinesLaUnion,
      philippinesLaguna,
      philippinesLanaoDdelNorte,
      philippinesLanaoDdelSur,
      philippinesLeyte,
      philippinesMaguindanao,
      philippinesMarinduque,
      philippinesMasbate,
      philippinesMetroManila,
      philippinesMimaropa,
      philippinesMisamisOccidental,
      philippinesMisamisOriental,
      philippinesMountainProvince,
      philippinesNegrosOccidental,
      philippinesNegrosOriental,
      philippinesNorthernMindanao,
      philippinesNorthernSamar,
      philippinesNuevaEcija,
      philippinesNuevaVizcaya,
      philippinesOccidentalMindoro,
      philippinesOrientalMindoro,
      philippinesPalawan,
      philippinesPampanga,
      philippinesPangasinan,
      philippinesQuezon,
      philippinesQuirino,
      philippinesRizal,
      philippinesRomblon,
      philippinesSarangani,
      philippinesSiquijor,
      philippinesSoccsksargen,
      philippinesSorsogon,
      philippinesSouthCotabato,
      philippinesSouthernLeyte,
      philippinesSultanKudarat,
      philippinesSulu,
      philippinesSurigaoDdelNorte,
      philippinesSurigaoDdelSur,
      philippinesTarlac,
      philippinesTawiHypTawi,
      philippinesWesternVisayas,
      philippinesZambales,
      philippinesZamboangaDdelNorte,
      philippinesZamboangaDdelSur,
      philippinesZamboangaPeninsula,
      philippinesZamboangaSibugay
    ],
    timezones: [
      Timezone(
          abbreviation: "PHT",
          gmtOffset: 28800,
          gmtOffsetName: "UTC+08:00",
          tzName: "Philippine Time",
          zoneName: "Asia/Manila")
    ],
    translations: {
      "kr": "필리핀",
      "br": "Filipinas",
      "pt": "Filipinas",
      "nl": "Filipijnen",
      "hr": "Filipini",
      "fa": "جزایر الندفیلیپین",
      "de": "Philippinen",
      "es": "Filipinas",
      "fr": "Philippines",
      "ja": "フィリピン",
      "it": "Filippine",
      "cn": "菲律宾"
    });
