/// Access to known geographies in Portugal and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'portugal_states.dart';

/// The country of `🇵🇹 Portugal`, and its 20 states
const Country portugal = Country(
    id: 177,
    name: "Portugal",
    longitude: -8.0,
    latitude: 39.5,
    capital: "Lisbon",
    currency: "EUR",
    currencySymbol: "€",
    emoji: "🇵🇹",
    emojiU: "U+1F1F5 U+1F1F9",
    iso2: "PT",
    iso3: "PRT",
    native: "Portugal",
    numericCode: "620",
    phoneCode: "351",
    region: "Europe",
    subregion: "Southern Europe",
    tld: ".pt",
    states: [
      portugalAcores,
      portugalAveiro,
      portugalBeja,
      portugalBraga,
      portugalBraganca,
      portugalCasteloBranco,
      portugalCoimbra,
      portugalEvora,
      portugalFaro,
      portugalGuarda,
      portugalLeiria,
      portugalLisbon,
      portugalMadeira,
      portugalPortalegre,
      portugalPorto,
      portugalSantarem,
      portugalSetubal,
      portugalVianaDdoCastelo,
      portugalVilaReal,
      portugalViseu
    ],
    timezones: [
      Timezone(
          abbreviation: "AZOT",
          gmtOffset: -3600,
          gmtOffsetName: "UTC-01:00",
          tzName: "Azores Standard Time",
          zoneName: "Atlantic/Azores"),
      Timezone(
          abbreviation: "WET",
          gmtOffset: 0,
          gmtOffsetName: "UTC±00",
          tzName: "Western European Time",
          zoneName: "Atlantic/Madeira"),
      Timezone(
          abbreviation: "WET",
          gmtOffset: 0,
          gmtOffsetName: "UTC±00",
          tzName: "Western European Time",
          zoneName: "Europe/Lisbon")
    ],
    translations: {
      "kr": "포르투갈",
      "br": "Portugal",
      "pt": "Portugal",
      "nl": "Portugal",
      "hr": "Portugal",
      "fa": "پرتغال",
      "de": "Portugal",
      "es": "Portugal",
      "fr": "Portugal",
      "ja": "ポルトガル",
      "it": "Portogallo",
      "cn": "葡萄牙"
    });
