/// Access to known geographies in Romania and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'romania_states.dart';

/// The country of `🇷🇴 Romania`, and its 42 states
const Country romania = Country(
    id: 181,
    name: "Romania",
    longitude: 25.0,
    latitude: 46.0,
    capital: "Bucharest",
    currency: "RON",
    currencySymbol: "lei",
    emoji: "🇷🇴",
    emojiU: "U+1F1F7 U+1F1F4",
    iso2: "RO",
    iso3: "ROU",
    native: "România",
    numericCode: "642",
    phoneCode: "40",
    region: "Europe",
    subregion: "Eastern Europe",
    tld: ".ro",
    states: [
      romaniaAlba,
      romaniaAradCounty,
      romaniaArges,
      romaniaBacauCounty,
      romaniaBihorCounty,
      romaniaBistritaHypNasaudCounty,
      romaniaBotosaniCounty,
      romaniaBraila,
      romaniaBrasovCounty,
      romaniaBucharest,
      romaniaBuzauCounty,
      romaniaCalarasiCounty,
      romaniaCarasHypSeverinCounty,
      romaniaClujCounty,
      romaniaConstantaCounty,
      romaniaCovasnaCounty,
      romaniaDambovitaCounty,
      romaniaDoljCounty,
      romaniaGalatiCounty,
      romaniaGiurgiuCounty,
      romaniaGorjCounty,
      romaniaHarghitaCounty,
      romaniaHunedoaraCounty,
      romaniaIalomitaCounty,
      romaniaIasiCounty,
      romaniaIlfovCounty,
      romaniaMaramuresCounty,
      romaniaMehedintiCounty,
      romaniaMuresCounty,
      romaniaNeamtCounty,
      romaniaOltCounty,
      romaniaPrahovaCounty,
      romaniaSalajCounty,
      romaniaSatuMareCounty,
      romaniaSibiuCounty,
      romaniaSuceavaCounty,
      romaniaTeleormanCounty,
      romaniaTimisCounty,
      romaniaTulceaCounty,
      romaniaValceaCounty,
      romaniaVasluiCounty,
      romaniaVranceaCounty
    ],
    timezones: [
      Timezone(
          abbreviation: "EET",
          gmtOffset: 7200,
          gmtOffsetName: "UTC+02:00",
          tzName: "Eastern European Time",
          zoneName: "Europe/Bucharest")
    ],
    translations: {
      "kr": "루마니아",
      "br": "Romênia",
      "pt": "Roménia",
      "nl": "Roemenië",
      "hr": "Rumunjska",
      "fa": "رومانی",
      "de": "Rumänien",
      "es": "Rumania",
      "fr": "Roumanie",
      "ja": "ルーマニア",
      "it": "Romania",
      "cn": "罗马尼亚"
    });
