/// Access to known geographies in Russia and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'russia_states.dart';

/// The country of `🇷🇺 Russia`, and its 84 states
const Country russia = Country(
    id: 182,
    name: "Russia",
    longitude: 100.0,
    latitude: 60.0,
    capital: "Moscow",
    currency: "RUB",
    currencySymbol: "₽",
    emoji: "🇷🇺",
    emojiU: "U+1F1F7 U+1F1FA",
    iso2: "RU",
    iso3: "RUS",
    native: "Россия",
    numericCode: "643",
    phoneCode: "7",
    region: "Europe",
    subregion: "Eastern Europe",
    tld: ".ru",
    states: [
      russiaAltaiKrai,
      russiaAltaiRepublic,
      russiaAmurOblast,
      russiaArkhangelsk,
      russiaAstrakhanOblast,
      russiaBelgorodOblast,
      russiaBryanskOblast,
      russiaChechenRepublic,
      russiaChelyabinskOblast,
      russiaChukotkaAutonomousOkrug,
      russiaChuvashRepublic,
      russiaIrkutsk,
      russiaIvanovoOblast,
      russiaJewishAutonomousOblast,
      russiaKabardinoHypBalkarRepublic,
      russiaKaliningrad,
      russiaKalugaOblast,
      russiaKamchatkaKrai,
      russiaKarachayHypCherkessRepublic,
      russiaKemerovoOblast,
      russiaKhabarovskKrai,
      russiaKhantyHypMansiAutonomousOkrug,
      russiaKirovOblast,
      russiaKomiRepublic,
      russiaKostromaOblast,
      russiaKrasnodarKrai,
      russiaKrasnoyarskKrai,
      russiaKurganOblast,
      russiaKurskOblast,
      russiaLeningradOblast,
      russiaLipetskOblast,
      russiaMagadanOblast,
      russiaMariElRepublic,
      russiaMoscow,
      russiaMoscowOblast,
      russiaMurmanskOblast,
      russiaNenetsAutonomousOkrug,
      russiaNizhnyNovgorodOblast,
      russiaNovgorodOblast,
      russiaNovosibirsk,
      russiaOmskOblast,
      russiaOrenburgOblast,
      russiaOryolOblast,
      russiaPenzaOblast,
      russiaPermKrai,
      russiaPrimorskyKrai,
      russiaPskovOblast,
      russiaRepublicOofAdygea,
      russiaRepublicOofBashkortostan,
      russiaRepublicOofBuryatia,
      russiaRepublicOofDagestan,
      russiaRepublicOofIngushetia,
      russiaRepublicOofKalmykia,
      russiaRepublicOofKarelia,
      russiaRepublicOofKhakassia,
      russiaRepublicOofMordovia,
      russiaRepublicOofNorthOssetiaHypAlania,
      russiaRepublicOofTatarstan,
      russiaRostovOblast,
      russiaRyazanOblast,
      russiaSaintPetersburg,
      russiaSakhaRepublic,
      russiaSakhalin,
      russiaSamaraOblast,
      russiaSaratovOblast,
      russiaSevastopol,
      russiaSmolenskOblast,
      russiaStavropolKrai,
      russiaSverdlovsk,
      russiaTambovOblast,
      russiaTomskOblast,
      russiaTulaOblast,
      russiaTuvaRepublic,
      russiaTverOblast,
      russiaTyumenOblast,
      russiaUdmurtRepublic,
      russiaUlyanovskOblast,
      russiaVladimirOblast,
      russiaVolgogradOblast,
      russiaVologdaOblast,
      russiaVoronezhOblast,
      russiaYamaloHypNenetsAutonomousOkrug,
      russiaYaroslavlOblast,
      russiaZabaykalskyKrai
    ],
    timezones: [
      Timezone(
          abbreviation: "ANAT",
          gmtOffset: 43200,
          gmtOffsetName: "UTC+12:00",
          tzName: "Anadyr Time[4",
          zoneName: "Asia/Anadyr"),
      Timezone(
          abbreviation: "KRAT",
          gmtOffset: 25200,
          gmtOffsetName: "UTC+07:00",
          tzName: "Krasnoyarsk Time",
          zoneName: "Asia/Barnaul"),
      Timezone(
          abbreviation: "YAKT",
          gmtOffset: 32400,
          gmtOffsetName: "UTC+09:00",
          tzName: "Yakutsk Time",
          zoneName: "Asia/Chita"),
      Timezone(
          abbreviation: "IRKT",
          gmtOffset: 28800,
          gmtOffsetName: "UTC+08:00",
          tzName: "Irkutsk Time",
          zoneName: "Asia/Irkutsk"),
      Timezone(
          abbreviation: "PETT",
          gmtOffset: 43200,
          gmtOffsetName: "UTC+12:00",
          tzName: "Kamchatka Time",
          zoneName: "Asia/Kamchatka"),
      Timezone(
          abbreviation: "YAKT",
          gmtOffset: 32400,
          gmtOffsetName: "UTC+09:00",
          tzName: "Yakutsk Time",
          zoneName: "Asia/Khandyga"),
      Timezone(
          abbreviation: "KRAT",
          gmtOffset: 25200,
          gmtOffsetName: "UTC+07:00",
          tzName: "Krasnoyarsk Time",
          zoneName: "Asia/Krasnoyarsk"),
      Timezone(
          abbreviation: "MAGT",
          gmtOffset: 39600,
          gmtOffsetName: "UTC+11:00",
          tzName: "Magadan Time",
          zoneName: "Asia/Magadan"),
      Timezone(
          abbreviation: "KRAT",
          gmtOffset: 25200,
          gmtOffsetName: "UTC+07:00",
          tzName: "Krasnoyarsk Time",
          zoneName: "Asia/Novokuznetsk"),
      Timezone(
          abbreviation: "NOVT",
          gmtOffset: 25200,
          gmtOffsetName: "UTC+07:00",
          tzName: "Novosibirsk Time",
          zoneName: "Asia/Novosibirsk"),
      Timezone(
          abbreviation: "OMST",
          gmtOffset: 21600,
          gmtOffsetName: "UTC+06:00",
          tzName: "Omsk Time",
          zoneName: "Asia/Omsk"),
      Timezone(
          abbreviation: "SAKT",
          gmtOffset: 39600,
          gmtOffsetName: "UTC+11:00",
          tzName: "Sakhalin Island Time",
          zoneName: "Asia/Sakhalin"),
      Timezone(
          abbreviation: "SRET",
          gmtOffset: 39600,
          gmtOffsetName: "UTC+11:00",
          tzName: "Srednekolymsk Time",
          zoneName: "Asia/Srednekolymsk"),
      Timezone(
          abbreviation: "MSD+3",
          gmtOffset: 25200,
          gmtOffsetName: "UTC+07:00",
          tzName: "Moscow Daylight Time+3",
          zoneName: "Asia/Tomsk"),
      Timezone(
          abbreviation: "VLAT",
          gmtOffset: 36000,
          gmtOffsetName: "UTC+10:00",
          tzName: "Vladivostok Time",
          zoneName: "Asia/Ust-Nera"),
      Timezone(
          abbreviation: "VLAT",
          gmtOffset: 36000,
          gmtOffsetName: "UTC+10:00",
          tzName: "Vladivostok Time",
          zoneName: "Asia/Vladivostok"),
      Timezone(
          abbreviation: "YAKT",
          gmtOffset: 32400,
          gmtOffsetName: "UTC+09:00",
          tzName: "Yakutsk Time",
          zoneName: "Asia/Yakutsk"),
      Timezone(
          abbreviation: "YEKT",
          gmtOffset: 18000,
          gmtOffsetName: "UTC+05:00",
          tzName: "Yekaterinburg Time",
          zoneName: "Asia/Yekaterinburg"),
      Timezone(
          abbreviation: "SAMT",
          gmtOffset: 14400,
          gmtOffsetName: "UTC+04:00",
          tzName: "Samara Time",
          zoneName: "Europe/Astrakhan"),
      Timezone(
          abbreviation: "EET",
          gmtOffset: 7200,
          gmtOffsetName: "UTC+02:00",
          tzName: "Eastern European Time",
          zoneName: "Europe/Kaliningrad"),
      Timezone(
          abbreviation: "MSK",
          gmtOffset: 10800,
          gmtOffsetName: "UTC+03:00",
          tzName: "Moscow Time",
          zoneName: "Europe/Kirov"),
      Timezone(
          abbreviation: "MSK",
          gmtOffset: 10800,
          gmtOffsetName: "UTC+03:00",
          tzName: "Moscow Time",
          zoneName: "Europe/Moscow"),
      Timezone(
          abbreviation: "SAMT",
          gmtOffset: 14400,
          gmtOffsetName: "UTC+04:00",
          tzName: "Samara Time",
          zoneName: "Europe/Samara"),
      Timezone(
          abbreviation: "MSD",
          gmtOffset: 14400,
          gmtOffsetName: "UTC+04:00",
          tzName: "Moscow Daylight Time+4",
          zoneName: "Europe/Saratov"),
      Timezone(
          abbreviation: "SAMT",
          gmtOffset: 14400,
          gmtOffsetName: "UTC+04:00",
          tzName: "Samara Time",
          zoneName: "Europe/Ulyanovsk"),
      Timezone(
          abbreviation: "MSK",
          gmtOffset: 14400,
          gmtOffsetName: "UTC+04:00",
          tzName: "Moscow Standard Time",
          zoneName: "Europe/Volgograd")
    ],
    translations: {
      "kr": "러시아",
      "br": "Rússia",
      "pt": "Rússia",
      "nl": "Rusland",
      "hr": "Rusija",
      "fa": "روسیه",
      "de": "Russland",
      "es": "Rusia",
      "fr": "Russie",
      "ja": "ロシア連邦",
      "it": "Russia",
      "cn": "俄罗斯联邦"
    });
