/// Access to known geographies in Saudi Arabia and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'saudi_arabia_states.dart';

/// The country of `🇸🇦 Saudi Arabia`, and its 13 states
const Country saudiArabia = Country(
    id: 194,
    name: "Saudi Arabia",
    longitude: 45.0,
    latitude: 25.0,
    capital: "Riyadh",
    currency: "SAR",
    currencySymbol: "﷼",
    emoji: "🇸🇦",
    emojiU: "U+1F1F8 U+1F1E6",
    iso2: "SA",
    iso3: "SAU",
    native: "المملكة العربية السعودية",
    numericCode: "682",
    phoneCode: "966",
    region: "Asia",
    subregion: "Western Asia",
    tld: ".sa",
    states: [
      saudiArabiaAsir,
      saudiArabiaAlBahah,
      saudiArabiaAlJawf,
      saudiArabiaAlMadinah,
      saudiArabiaAlHypQassim,
      saudiArabiaEasternProvince,
      saudiArabiaHail,
      saudiArabiaJizan,
      saudiArabiaMakkah,
      saudiArabiaNajran,
      saudiArabiaNorthernBorders,
      saudiArabiaRiyadh,
      saudiArabiaTabuk
    ],
    timezones: [
      Timezone(
          abbreviation: "AST",
          gmtOffset: 10800,
          gmtOffsetName: "UTC+03:00",
          tzName: "Arabia Standard Time",
          zoneName: "Asia/Riyadh")
    ],
    translations: {
      "kr": "사우디아라비아",
      "br": "Arábia Saudita",
      "pt": "Arábia Saudita",
      "nl": "Saoedi-Arabië",
      "hr": "Saudijska Arabija",
      "fa": "عربستان سعودی",
      "de": "Saudi-Arabien",
      "es": "Arabia Saudí",
      "fr": "Arabie Saoudite",
      "ja": "サウジアラビア",
      "it": "Arabia Saudita",
      "cn": "沙特阿拉伯"
    });
