/// Access to known geographies in Senegal and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'senegal_states.dart';

/// The country of `🇸🇳 Senegal`, and its 14 states
const Country senegal = Country(
    id: 195,
    name: "Senegal",
    longitude: -14.0,
    latitude: 14.0,
    capital: "Dakar",
    currency: "XOF",
    currencySymbol: "CFA",
    emoji: "🇸🇳",
    emojiU: "U+1F1F8 U+1F1F3",
    iso2: "SN",
    iso3: "SEN",
    native: "Sénégal",
    numericCode: "686",
    phoneCode: "221",
    region: "Africa",
    subregion: "Western Africa",
    tld: ".sn",
    states: [
      senegalDakar,
      senegalDiourbelRegion,
      senegalFatick,
      senegalKaffrine,
      senegalKaolack,
      senegalKedougou,
      senegalKolda,
      senegalLouga,
      senegalMatam,
      senegalSaintHypLouis,
      senegalSedhiou,
      senegalTambacoundaRegion,
      senegalThiesRegion,
      senegalZiguinchor
    ],
    timezones: [
      Timezone(
          abbreviation: "GMT",
          gmtOffset: 0,
          gmtOffsetName: "UTC±00",
          tzName: "Greenwich Mean Time",
          zoneName: "Africa/Dakar")
    ],
    translations: {
      "kr": "세네갈",
      "br": "Senegal",
      "pt": "Senegal",
      "nl": "Senegal",
      "hr": "Senegal",
      "fa": "سنگال",
      "de": "Senegal",
      "es": "Senegal",
      "fr": "Sénégal",
      "ja": "セネガル",
      "it": "Senegal",
      "cn": "塞内加尔"
    });
