/// Access to known geographies in Serbia and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'serbia_states.dart';

/// The country of `🇷🇸 Serbia`, and its 26 states
const Country serbia = Country(
    id: 196,
    name: "Serbia",
    longitude: 21.0,
    latitude: 44.0,
    capital: "Belgrade",
    currency: "RSD",
    currencySymbol: "din",
    emoji: "🇷🇸",
    emojiU: "U+1F1F7 U+1F1F8",
    iso2: "RS",
    iso3: "SRB",
    native: "Србија",
    numericCode: "688",
    phoneCode: "381",
    region: "Europe",
    subregion: "Southern Europe",
    tld: ".rs",
    states: [
      serbiaBelgrade,
      serbiaBorDistrict,
      serbiaBranicevoDistrict,
      serbiaCentralBanatDistrict,
      serbiaJablanicaDistrict,
      serbiaKolubaraDistrict,
      serbiaMacvaDistrict,
      serbiaMoravicaDistrict,
      serbiaNisavaDistrict,
      serbiaNorthBackaDistrict,
      serbiaNorthBanatDistrict,
      serbiaPcinjaDistrict,
      serbiaPirotDistrict,
      serbiaPodunavljeDistrict,
      serbiaPomoravljeDistrict,
      serbiaRasinaDistrict,
      serbiaRaskaDistrict,
      serbiaSouthBackaDistrict,
      serbiaSouthBanatDistrict,
      serbiaSremDistrict,
      serbiaSumadijaDistrict,
      serbiaToplicaDistrict,
      serbiaVojvodina,
      serbiaWestBackaDistrict,
      serbiaZajecarDistrict,
      serbiaZlatiborDistrict
    ],
    timezones: [
      Timezone(
          abbreviation: "CET",
          gmtOffset: 3600,
          gmtOffsetName: "UTC+01:00",
          tzName: "Central European Time",
          zoneName: "Europe/Belgrade")
    ],
    translations: {
      "kr": "세르비아",
      "br": "Sérvia",
      "pt": "Sérvia",
      "nl": "Servië",
      "hr": "Srbija",
      "fa": "صربستان",
      "de": "Serbien",
      "es": "Serbia",
      "fr": "Serbie",
      "ja": "セルビア",
      "it": "Serbia",
      "cn": "塞尔维亚"
    });
