/// Access to known geographies in Slovakia and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'slovakia_states.dart';

/// The country of `🇸🇰 Slovakia`, and its 8 states
const Country slovakia = Country(
    id: 200,
    name: "Slovakia",
    longitude: 19.5,
    latitude: 48.66666666,
    capital: "Bratislava",
    currency: "EUR",
    currencySymbol: "€",
    emoji: "🇸🇰",
    emojiU: "U+1F1F8 U+1F1F0",
    iso2: "SK",
    iso3: "SVK",
    native: "Slovensko",
    numericCode: "703",
    phoneCode: "421",
    region: "Europe",
    subregion: "Eastern Europe",
    tld: ".sk",
    states: [
      slovakiaBanskaBystricaRegion,
      slovakiaBratislavaRegion,
      slovakiaKosiceRegion,
      slovakiaNitraRegion,
      slovakiaPresovRegion,
      slovakiaTrencinRegion,
      slovakiaTrnavaRegion,
      slovakiaZilinaRegion
    ],
    timezones: [
      Timezone(
          abbreviation: "CET",
          gmtOffset: 3600,
          gmtOffsetName: "UTC+01:00",
          tzName: "Central European Time",
          zoneName: "Europe/Bratislava")
    ],
    translations: {
      "kr": "슬로바키아",
      "br": "Eslováquia",
      "pt": "Eslováquia",
      "nl": "Slowakije",
      "hr": "Slovačka",
      "fa": "اسلواکی",
      "de": "Slowakei",
      "es": "República Eslovaca",
      "fr": "Slovaquie",
      "ja": "スロバキア",
      "it": "Slovacchia",
      "cn": "斯洛伐克"
    });
