/// Access to known geographies in South Korea and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'south_korea_states.dart';

/// The country of `🇰🇷 South Korea`, and its 17 states
const Country southKorea = Country(
    id: 116,
    name: "South Korea",
    longitude: 127.5,
    latitude: 37.0,
    capital: "Seoul",
    currency: "KRW",
    currencySymbol: "₩",
    emoji: "🇰🇷",
    emojiU: "U+1F1F0 U+1F1F7",
    iso2: "KR",
    iso3: "KOR",
    native: "대한민국",
    numericCode: "410",
    phoneCode: "82",
    region: "Asia",
    subregion: "Eastern Asia",
    tld: ".kr",
    states: [
      southKoreaBusan,
      southKoreaDaegu,
      southKoreaDaejeon,
      southKoreaGangwonProvince,
      southKoreaGwangju,
      southKoreaGyeonggiProvince,
      southKoreaIncheon,
      southKoreaJeju,
      southKoreaNorthChungcheongProvince,
      southKoreaNorthGyeongsangProvince,
      southKoreaNorthJeollaProvince,
      southKoreaSejongCity,
      southKoreaSeoul,
      southKoreaSouthChungcheongProvince,
      southKoreaSouthGyeongsangProvince,
      southKoreaSouthJeollaProvince,
      southKoreaUlsan
    ],
    timezones: [
      Timezone(
          abbreviation: "KST",
          gmtOffset: 32400,
          gmtOffsetName: "UTC+09:00",
          tzName: "Korea Standard Time",
          zoneName: "Asia/Seoul")
    ],
    translations: {
      "kr": "대한민국",
      "br": "Coreia do Sul",
      "pt": "Coreia do Sul",
      "nl": "Zuid-Korea",
      "hr": "Južna Koreja",
      "fa": "کره شمالی",
      "de": "Südkorea",
      "es": "Corea del Sur",
      "fr": "Corée du Sud",
      "ja": "大韓民国",
      "it": "Corea del Sud",
      "cn": "韩国"
    });
