/// Access to known geographies in Spain and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'spain_states.dart';

/// The country of `🇪🇸 Spain`, and its 28 states
const Country spain = Country(
    id: 207,
    name: "Spain",
    longitude: -4.0,
    latitude: 40.0,
    capital: "Madrid",
    currency: "EUR",
    currencySymbol: "€",
    emoji: "🇪🇸",
    emojiU: "U+1F1EA U+1F1F8",
    iso2: "ES",
    iso3: "ESP",
    native: "España",
    numericCode: "724",
    phoneCode: "34",
    region: "Europe",
    subregion: "Southern Europe",
    tld: ".es",
    states: [
      spainAndalusia,
      spainAragon,
      spainAsturias,
      spainAvila,
      spainBalearicIslands,
      spainBasqueCountry,
      spainBurgosProvince,
      spainCanaryIslands,
      spainCantabria,
      spainCastileAandLeon,
      spainCastillaLaMancha,
      spainCatalonia,
      spainCeuta,
      spainExtremadura,
      spainGalicia,
      spainLaRioja,
      spainLeon,
      spainMadrid,
      spainMelilla,
      spainMurcia,
      spainNavarra,
      spainPalenciaProvince,
      spainSalamancaProvince,
      spainSegoviaProvince,
      spainSoriaProvince,
      spainValencia,
      spainValladolidProvince,
      spainZamoraProvince
    ],
    timezones: [
      Timezone(
          abbreviation: "CET",
          gmtOffset: 3600,
          gmtOffsetName: "UTC+01:00",
          tzName: "Central European Time",
          zoneName: "Africa/Ceuta"),
      Timezone(
          abbreviation: "WET",
          gmtOffset: 0,
          gmtOffsetName: "UTC±00",
          tzName: "Western European Time",
          zoneName: "Atlantic/Canary"),
      Timezone(
          abbreviation: "CET",
          gmtOffset: 3600,
          gmtOffsetName: "UTC+01:00",
          tzName: "Central European Time",
          zoneName: "Europe/Madrid")
    ],
    translations: {
      "kr": "스페인",
      "br": "Espanha",
      "pt": "Espanha",
      "nl": "Spanje",
      "hr": "Španjolska",
      "fa": "اسپانیا",
      "de": "Spanien",
      "es": "España",
      "fr": "Espagne",
      "ja": "スペイン",
      "it": "Spagna",
      "cn": "西班牙"
    });
