/// Access to known geographies in Sudan and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'sudan_states.dart';

/// The country of `🇸🇩 Sudan`, and its 18 states
const Country sudan = Country(
    id: 209,
    name: "Sudan",
    longitude: 30.0,
    latitude: 15.0,
    capital: "Khartoum",
    currency: "SDG",
    currencySymbol: ".س.ج",
    emoji: "🇸🇩",
    emojiU: "U+1F1F8 U+1F1E9",
    iso2: "SD",
    iso3: "SDN",
    native: "السودان",
    numericCode: "729",
    phoneCode: "249",
    region: "Africa",
    subregion: "Northern Africa",
    tld: ".sd",
    states: [
      sudanAlJazirah,
      sudanAlQadarif,
      sudanBlueNile,
      sudanCentralDarfur,
      sudanEastDarfur,
      sudanKassala,
      sudanKhartoum,
      sudanNorthDarfur,
      sudanNorthKordofan,
      sudanNorthern,
      sudanRedSea,
      sudanRiverNile,
      sudanSennar,
      sudanSouthDarfur,
      sudanSouthKordofan,
      sudanWestDarfur,
      sudanWestKordofan,
      sudanWhiteNile
    ],
    timezones: [
      Timezone(
          abbreviation: "EAT",
          gmtOffset: 7200,
          gmtOffsetName: "UTC+02:00",
          tzName: "Eastern African Time",
          zoneName: "Africa/Khartoum")
    ],
    translations: {
      "kr": "수단",
      "br": "Sudão",
      "pt": "Sudão",
      "nl": "Soedan",
      "hr": "Sudan",
      "fa": "سودان",
      "de": "Sudan",
      "es": "Sudán",
      "fr": "Soudan",
      "ja": "スーダン",
      "it": "Sudan",
      "cn": "苏丹"
    });
