/// Access to known geographies in Sweden and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'sweden_states.dart';

/// The country of `🇸🇪 Sweden`, and its 20 states
const Country sweden = Country(
    id: 213,
    name: "Sweden",
    longitude: 15.0,
    latitude: 62.0,
    capital: "Stockholm",
    currency: "SEK",
    currencySymbol: "kr",
    emoji: "🇸🇪",
    emojiU: "U+1F1F8 U+1F1EA",
    iso2: "SE",
    iso3: "SWE",
    native: "Sverige",
    numericCode: "752",
    phoneCode: "46",
    region: "Europe",
    subregion: "Northern Europe",
    tld: ".se",
    states: [
      swedenBlekinge,
      swedenDalarnaCounty,
      swedenGavleborgCounty,
      swedenGotlandCounty,
      swedenHallandCounty,
      swedenJonkopingCounty,
      swedenKalmarCounty,
      swedenKronobergCounty,
      swedenNorrbottenCounty,
      swedenOrebroCounty,
      swedenOstergotlandCounty,
      swedenSkaneCounty,
      swedenSodermanlandCounty,
      swedenStockholmCounty,
      swedenUppsalaCounty,
      swedenVarmlandCounty,
      swedenVasterbottenCounty,
      swedenVasternorrlandCounty,
      swedenVastmanlandCounty,
      swedenVastraGotalandCounty
    ],
    timezones: [
      Timezone(
          abbreviation: "CET",
          gmtOffset: 3600,
          gmtOffsetName: "UTC+01:00",
          tzName: "Central European Time",
          zoneName: "Europe/Stockholm")
    ],
    translations: {
      "kr": "스웨덴",
      "br": "Suécia",
      "pt": "Suécia",
      "nl": "Zweden",
      "hr": "Švedska",
      "fa": "سوئد",
      "de": "Schweden",
      "es": "Suecia",
      "fr": "Suède",
      "ja": "スウェーデン",
      "it": "Svezia",
      "cn": "瑞典"
    });
