/// Access to known geographies in Thailand and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'thailand_states.dart';

/// The country of `🇹🇭 Thailand`, and its 78 states
const Country thailand = Country(
    id: 219,
    name: "Thailand",
    longitude: 100.0,
    latitude: 15.0,
    capital: "Bangkok",
    currency: "THB",
    currencySymbol: "฿",
    emoji: "🇹🇭",
    emojiU: "U+1F1F9 U+1F1ED",
    iso2: "TH",
    iso3: "THA",
    native: "ประเทศไทย",
    numericCode: "764",
    phoneCode: "66",
    region: "Asia",
    subregion: "South-Eastern Asia",
    tld: ".th",
    states: [
      thailandAmnatCharoen,
      thailandAngThong,
      thailandBangkok,
      thailandBuengKan,
      thailandBuriRam,
      thailandChachoengsao,
      thailandChaiNat,
      thailandChaiyaphum,
      thailandChanthaburi,
      thailandChiangMai,
      thailandChiangRai,
      thailandChonBuri,
      thailandChumphon,
      thailandKalasin,
      thailandKamphaengPhet,
      thailandKanchanaburi,
      thailandKhonKaen,
      thailandKrabi,
      thailandLampang,
      thailandLamphun,
      thailandLoei,
      thailandLopBuri,
      thailandMaeHongSon,
      thailandMahaSarakham,
      thailandMukdahan,
      thailandNakhonNayok,
      thailandNakhonPathom,
      thailandNakhonPhanom,
      thailandNakhonRatchasima,
      thailandNakhonSawan,
      thailandNakhonSiThammarat,
      thailandNan,
      thailandNarathiwat,
      thailandNongBuaLamPhu,
      thailandNongKhai,
      thailandNonthaburi,
      thailandPathumThani,
      thailandPattani,
      thailandPattaya,
      thailandPhangnga,
      thailandPhatthalung,
      thailandPhayao,
      thailandPhetchabun,
      thailandPhetchaburi,
      thailandPhichit,
      thailandPhitsanulok,
      thailandPhraNakhonSiAyutthaya,
      thailandPhrae,
      thailandPhuket,
      thailandPrachinBuri,
      thailandPrachuapKhiriKhan,
      thailandRanong,
      thailandRatchaburi,
      thailandRayong,
      thailandRoiEt,
      thailandSaKaeo,
      thailandSakonNakhon,
      thailandSamutPrakan,
      thailandSamutSakhon,
      thailandSamutSongkhram,
      thailandSaraburi,
      thailandSatun,
      thailandSiSaKet,
      thailandSingBuri,
      thailandSongkhla,
      thailandSukhothai,
      thailandSuphanBuri,
      thailandSuratThani,
      thailandSurin,
      thailandTak,
      thailandTrang,
      thailandTrat,
      thailandUbonRatchathani,
      thailandUdonThani,
      thailandUthaiThani,
      thailandUttaradit,
      thailandYala,
      thailandYasothon
    ],
    timezones: [
      Timezone(
          abbreviation: "ICT",
          gmtOffset: 25200,
          gmtOffsetName: "UTC+07:00",
          tzName: "Indochina Time",
          zoneName: "Asia/Bangkok")
    ],
    translations: {
      "kr": "태국",
      "br": "Tailândia",
      "pt": "Tailândia",
      "nl": "Thailand",
      "hr": "Tajland",
      "fa": "تایلند",
      "de": "Thailand",
      "es": "Tailandia",
      "fr": "Thaïlande",
      "ja": "タイ",
      "it": "Tailandia",
      "cn": "泰国"
    });
