/// Access to known geographies in Tunisia and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'tunisia_states.dart';

/// The country of `🇹🇳 Tunisia`, and its 23 states
const Country tunisia = Country(
    id: 224,
    name: "Tunisia",
    longitude: 9.0,
    latitude: 34.0,
    capital: "Tunis",
    currency: "TND",
    currencySymbol: "ت.د",
    emoji: "🇹🇳",
    emojiU: "U+1F1F9 U+1F1F3",
    iso2: "TN",
    iso3: "TUN",
    native: "تونس",
    numericCode: "788",
    phoneCode: "216",
    region: "Africa",
    subregion: "Northern Africa",
    tld: ".tn",
    states: [
      tunisiaArianaGovernorate,
      tunisiaBenArousGovernorate,
      tunisiaBizerteGovernorate,
      tunisiaGabesGovernorate,
      tunisiaGafsaGovernorate,
      tunisiaJendoubaGovernorate,
      tunisiaKairouanGovernorate,
      tunisiaKasserineGovernorate,
      tunisiaKassrine,
      tunisiaKebiliGovernorate,
      tunisiaKefGovernorate,
      tunisiaMahdiaGovernorate,
      tunisiaManoubaGovernorate,
      tunisiaMedenineGovernorate,
      tunisiaMonastirGovernorate,
      tunisiaSfaxGovernorate,
      tunisiaSidiBouzidGovernorate,
      tunisiaSilianaGovernorate,
      tunisiaSousseGovernorate,
      tunisiaTataouineGovernorate,
      tunisiaTozeurGovernorate,
      tunisiaTunisGovernorate,
      tunisiaZaghouanGovernorate
    ],
    timezones: [
      Timezone(
          abbreviation: "CET",
          gmtOffset: 3600,
          gmtOffsetName: "UTC+01:00",
          tzName: "Central European Time",
          zoneName: "Africa/Tunis")
    ],
    translations: {
      "kr": "튀니지",
      "br": "Tunísia",
      "pt": "Tunísia",
      "nl": "Tunesië",
      "hr": "Tunis",
      "fa": "تونس",
      "de": "Tunesien",
      "es": "Túnez",
      "fr": "Tunisie",
      "ja": "チュニジア",
      "it": "Tunisia",
      "cn": "突尼斯"
    });
