/// Access to known geographies in Turkey and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'turkey_states.dart';

/// The country of `🇹🇷 Turkey`, and its 81 states
const Country turkey = Country(
    id: 225,
    name: "Turkey",
    longitude: 35.0,
    latitude: 39.0,
    capital: "Ankara",
    currency: "TRY",
    currencySymbol: "₺",
    emoji: "🇹🇷",
    emojiU: "U+1F1F9 U+1F1F7",
    iso2: "TR",
    iso3: "TUR",
    native: "Türkiye",
    numericCode: "792",
    phoneCode: "90",
    region: "Asia",
    subregion: "Western Asia",
    tld: ".tr",
    states: [
      turkeyAdanaPprovince,
      turkeyAdiyamanPprovince,
      turkeyAfyonkarahisarPprovince,
      turkeyAgriPprovince,
      turkeyAksarayPprovince,
      turkeyAmasyaPprovince,
      turkeyAnkaraPprovince,
      turkeyAntalyaPprovince,
      turkeyArdahanPprovince,
      turkeyArtvinPprovince,
      turkeyAydinPprovince,
      turkeyBalikesirPprovince,
      turkeyBartinPprovince,
      turkeyBatmanPprovince,
      turkeyBayburtPprovince,
      turkeyBilecikPprovince,
      turkeyBingolPprovince,
      turkeyBitlisPprovince,
      turkeyBoluPprovince,
      turkeyBurdurPprovince,
      turkeyBursaPprovince,
      turkeyCanakkalePprovince,
      turkeyCankiriPprovince,
      turkeyCorumPprovince,
      turkeyDenizliPprovince,
      turkeyDiyarbakirPprovince,
      turkeyDuzcePprovince,
      turkeyEdirnePprovince,
      turkeyElazigPprovince,
      turkeyErzincanPprovince,
      turkeyErzurumPprovince,
      turkeyEskisehirPprovince,
      turkeyGaziantepPprovince,
      turkeyGiresunPprovince,
      turkeyGumushanePprovince,
      turkeyHakkariPprovince,
      turkeyHatayPprovince,
      turkeyIgdirPprovince,
      turkeyIspartaPprovince,
      turkeyIstanbulPprovince,
      turkeyIzmirPprovince,
      turkeyKahramanmarasPprovince,
      turkeyKarabukPprovince,
      turkeyKaramanPprovince,
      turkeyKarsPprovince,
      turkeyKastamonuPprovince,
      turkeyKayseriPprovince,
      turkeyKilisPprovince,
      turkeyKirikkalePprovince,
      turkeyKirklareliPprovince,
      turkeyKirsehirPprovince,
      turkeyKocaeliPprovince,
      turkeyKonyaPprovince,
      turkeyKutahyaPprovince,
      turkeyMalatyaPprovince,
      turkeyManisaPprovince,
      turkeyMardinPprovince,
      turkeyMersinPprovince,
      turkeyMuglaPprovince,
      turkeyMusPprovince,
      turkeyNevsehirPprovince,
      turkeyNigdePprovince,
      turkeyOrduPprovince,
      turkeyOsmaniyePprovince,
      turkeyRizePprovince,
      turkeySakaryaPprovince,
      turkeySamsunPprovince,
      turkeySanliurfaPprovince,
      turkeySiirtPprovince,
      turkeySinopPprovince,
      turkeySivasPprovince,
      turkeySirnakPprovince,
      turkeyTekirdagPprovince,
      turkeyTokatPprovince,
      turkeyTrabzonPprovince,
      turkeyTunceliPprovince,
      turkeyUsakPprovince,
      turkeyVanPprovince,
      turkeyYalovaPprovince,
      turkeyYozgatPprovince,
      turkeyZonguldakPprovince
    ],
    timezones: [
      Timezone(
          abbreviation: "EET",
          gmtOffset: 10800,
          gmtOffsetName: "UTC+03:00",
          tzName: "Eastern European Time",
          zoneName: "Europe/Istanbul")
    ],
    translations: {
      "kr": "터키",
      "br": "Turquia",
      "pt": "Turquia",
      "nl": "Turkije",
      "hr": "Turska",
      "fa": "ترکیه",
      "de": "Türkei",
      "es": "Turquía",
      "fr": "Turquie",
      "ja": "トルコ",
      "it": "Turchia",
      "cn": "土耳其"
    });
