/// Access to known geographies in Uganda and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'uganda_states.dart';

/// The country of `🇺🇬 Uganda`, and its 125 states
const Country uganda = Country(
    id: 229,
    name: "Uganda",
    longitude: 32.0,
    latitude: 1.0,
    capital: "Kampala",
    currency: "UGX",
    currencySymbol: "USh",
    emoji: "🇺🇬",
    emojiU: "U+1F1FA U+1F1EC",
    iso2: "UG",
    iso3: "UGA",
    native: "Uganda",
    numericCode: "800",
    phoneCode: "256",
    region: "Africa",
    subregion: "Eastern Africa",
    tld: ".ug",
    states: [
      ugandaAbimDistrict,
      ugandaAdjumaniDistrict,
      ugandaAgagoDistrict,
      ugandaAlebtongDistrict,
      ugandaAmolatarDistrict,
      ugandaAmudatDistrict,
      ugandaAmuriaDistrict,
      ugandaAmuruDistrict,
      ugandaApacDistrict,
      ugandaAruaDistrict,
      ugandaBudakaDistrict,
      ugandaBududaDistrict,
      ugandaBugiriDistrict,
      ugandaBuhwejuDistrict,
      ugandaBuikweDistrict,
      ugandaBukedeaDistrict,
      ugandaBukomansimbiDistrict,
      ugandaBukwoDistrict,
      ugandaBulambuliDistrict,
      ugandaBuliisaDistrict,
      ugandaBundibugyoDistrict,
      ugandaBunyangabuDistrict,
      ugandaBushenyiDistrict,
      ugandaBusiaDistrict,
      ugandaButalejaDistrict,
      ugandaButambalaDistrict,
      ugandaButeboDistrict,
      ugandaBuvumaDistrict,
      ugandaBuyendeDistrict,
      ugandaCentralRegion,
      ugandaDokoloDistrict,
      ugandaEasternRegion,
      ugandaGombaDistrict,
      ugandaGuluDistrict,
      ugandaIbandaDistrict,
      ugandaIgangaDistrict,
      ugandaIsingiroDistrict,
      ugandaJinjaDistrict,
      ugandaKaabongDistrict,
      ugandaKabaleDistrict,
      ugandaKabaroleDistrict,
      ugandaKaberamaidoDistrict,
      ugandaKagadiDistrict,
      ugandaKakumiroDistrict,
      ugandaKalangalaDistrict,
      ugandaKaliroDistrict,
      ugandaKalunguDistrict,
      ugandaKampalaDistrict,
      ugandaKamuliDistrict,
      ugandaKamwengeDistrict,
      ugandaKanunguDistrict,
      ugandaKapchorwaDistrict,
      ugandaKaseseDistrict,
      ugandaKatakwiDistrict,
      ugandaKayungaDistrict,
      ugandaKibaaleDistrict,
      ugandaKibogaDistrict,
      ugandaKibukuDistrict,
      ugandaKiruhuraDistrict,
      ugandaKiryandongoDistrict,
      ugandaKisoroDistrict,
      ugandaKitgumDistrict,
      ugandaKobokoDistrict,
      ugandaKoleDistrict,
      ugandaKotidoDistrict,
      ugandaKumiDistrict,
      ugandaKweenDistrict,
      ugandaKyankwanziDistrict,
      ugandaKyegegwaDistrict,
      ugandaKyenjojoDistrict,
      ugandaKyoteraDistrict,
      ugandaLamwoDistrict,
      ugandaLiraDistrict,
      ugandaLuukaDistrict,
      ugandaLuweroDistrict,
      ugandaLwengoDistrict,
      ugandaLyantondeDistrict,
      ugandaManafwaDistrict,
      ugandaMarachaDistrict,
      ugandaMasakaDistrict,
      ugandaMasindiDistrict,
      ugandaMayugeDistrict,
      ugandaMbaleDistrict,
      ugandaMbararaDistrict,
      ugandaMitoomaDistrict,
      ugandaMityanaDistrict,
      ugandaMorotoDistrict,
      ugandaMoyoDistrict,
      ugandaMpigiDistrict,
      ugandaMubendeDistrict,
      ugandaMukonoDistrict,
      ugandaNakapiripiritDistrict,
      ugandaNakasekeDistrict,
      ugandaNakasongolaDistrict,
      ugandaNamayingoDistrict,
      ugandaNamisindwaDistrict,
      ugandaNamutumbaDistrict,
      ugandaNapakDistrict,
      ugandaNebbiDistrict,
      ugandaNgoraDistrict,
      ugandaNorthernRegion,
      ugandaNtorokoDistrict,
      ugandaNtungamoDistrict,
      ugandaNwoyaDistrict,
      ugandaOmoroDistrict,
      ugandaOtukeDistrict,
      ugandaOyamDistrict,
      ugandaPaderDistrict,
      ugandaPakwachDistrict,
      ugandaPallisaDistrict,
      ugandaRakaiDistrict,
      ugandaRubandaDistrict,
      ugandaRubiriziDistrict,
      ugandaRukigaDistrict,
      ugandaRukungiriDistrict,
      ugandaSembabuleDistrict,
      ugandaSerereDistrict,
      ugandaSheemaDistrict,
      ugandaSironkoDistrict,
      ugandaSorotiDistrict,
      ugandaTororoDistrict,
      ugandaWakisoDistrict,
      ugandaWesternRegion,
      ugandaYumbeDistrict,
      ugandaZomboDistrict
    ],
    timezones: [
      Timezone(
          abbreviation: "EAT",
          gmtOffset: 10800,
          gmtOffsetName: "UTC+03:00",
          tzName: "East Africa Time",
          zoneName: "Africa/Kampala")
    ],
    translations: {
      "kr": "우간다",
      "br": "Uganda",
      "pt": "Uganda",
      "nl": "Oeganda",
      "hr": "Uganda",
      "fa": "اوگاندا",
      "de": "Uganda",
      "es": "Uganda",
      "fr": "Uganda",
      "ja": "ウガンダ",
      "it": "Uganda",
      "cn": "乌干达"
    });
