/// Access to known geographies in Ukraine and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'ukraine_states.dart';

/// The country of `🇺🇦 Ukraine`, and its 25 states
const Country ukraine = Country(
    id: 230,
    name: "Ukraine",
    longitude: 32.0,
    latitude: 49.0,
    capital: "Kiev",
    currency: "UAH",
    currencySymbol: "₴",
    emoji: "🇺🇦",
    emojiU: "U+1F1FA U+1F1E6",
    iso2: "UA",
    iso3: "UKR",
    native: "Україна",
    numericCode: "804",
    phoneCode: "380",
    region: "Europe",
    subregion: "Eastern Europe",
    tld: ".ua",
    states: [
      ukraineAutonomousRepublicOofCrimea,
      ukraineCherkasyOblast,
      ukraineChernihivOblast,
      ukraineChernivtsiOblast,
      ukraineDnipropetrovskOblast,
      ukraineDonetskOblast,
      ukraineIvanoHypFrankivskOblast,
      ukraineKharkivOblast,
      ukraineKhersonOblast,
      ukraineKhmelnytskyOblast,
      ukraineKiev,
      ukraineKirovohradOblast,
      ukraineKyivOblast,
      ukraineLuhanskOblast,
      ukraineLvivOblast,
      ukraineMykolaivOblast,
      ukraineOdessaOblast,
      ukraineRivneOblast,
      ukraineSumyOblast,
      ukraineTernopilOblast,
      ukraineVinnytsiaOblast,
      ukraineVolynOblast,
      ukraineZakarpattiaOblast,
      ukraineZaporizhzhyaOblast,
      ukraineZhytomyrOblast
    ],
    timezones: [
      Timezone(
          abbreviation: "EET",
          gmtOffset: 7200,
          gmtOffsetName: "UTC+02:00",
          tzName: "Eastern European Time",
          zoneName: "Europe/Kiev"),
      Timezone(
          abbreviation: "MSK",
          gmtOffset: 10800,
          gmtOffsetName: "UTC+03:00",
          tzName: "Moscow Time",
          zoneName: "Europe/Simferopol"),
      Timezone(
          abbreviation: "EET",
          gmtOffset: 7200,
          gmtOffsetName: "UTC+02:00",
          tzName: "Eastern European Time",
          zoneName: "Europe/Uzhgorod"),
      Timezone(
          abbreviation: "EET",
          gmtOffset: 7200,
          gmtOffsetName: "UTC+02:00",
          tzName: "Eastern European Time",
          zoneName: "Europe/Zaporozhye")
    ],
    translations: {
      "kr": "우크라이나",
      "br": "Ucrânia",
      "pt": "Ucrânia",
      "nl": "Oekraïne",
      "hr": "Ukrajina",
      "fa": "وکراین",
      "de": "Ukraine",
      "es": "Ucrania",
      "fr": "Ukraine",
      "ja": "ウクライナ",
      "it": "Ucraina",
      "cn": "乌克兰"
    });
