/// Access to known geographies in United States and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'united_states_states.dart';

/// The country of `🇺🇸 United States`, and its 66 states
const Country unitedStates = Country(
    id: 233,
    name: "United States",
    longitude: -97.0,
    latitude: 38.0,
    capital: "Washington",
    currency: "USD",
    currencySymbol: "\$",
    emoji: "🇺🇸",
    emojiU: "U+1F1FA U+1F1F8",
    iso2: "US",
    iso3: "USA",
    native: "United States",
    numericCode: "840",
    phoneCode: "1",
    region: "Americas",
    subregion: "Northern America",
    tld: ".us",
    states: [
      unitedStatesAlabama,
      unitedStatesAlaska,
      unitedStatesAmericanSamoa,
      unitedStatesArizona,
      unitedStatesArkansas,
      unitedStatesBakerIsland,
      unitedStatesCalifornia,
      unitedStatesColorado,
      unitedStatesConnecticut,
      unitedStatesDelaware,
      unitedStatesDistrictOofColumbia,
      unitedStatesFlorida,
      unitedStatesGeorgia,
      unitedStatesGuam,
      unitedStatesHawaii,
      unitedStatesHowlandIsland,
      unitedStatesIdaho,
      unitedStatesIllinois,
      unitedStatesIndiana,
      unitedStatesIowa,
      unitedStatesJarvisIsland,
      unitedStatesJohnstonAtoll,
      unitedStatesKansas,
      unitedStatesKentucky,
      unitedStatesKingmanReef,
      unitedStatesLouisiana,
      unitedStatesMaine,
      unitedStatesMaryland,
      unitedStatesMassachusetts,
      unitedStatesMichigan,
      unitedStatesMidwayAtoll,
      unitedStatesMinnesota,
      unitedStatesMississippi,
      unitedStatesMissouri,
      unitedStatesMontana,
      unitedStatesNavassaIsland,
      unitedStatesNebraska,
      unitedStatesNevada,
      unitedStatesNewHampshire,
      unitedStatesNewJersey,
      unitedStatesNewMexico,
      unitedStatesNewYork,
      unitedStatesNorthCarolina,
      unitedStatesNorthDakota,
      unitedStatesNorthernMarianaIslands,
      unitedStatesOhio,
      unitedStatesOklahoma,
      unitedStatesOregon,
      unitedStatesPalmyraAtoll,
      unitedStatesPennsylvania,
      unitedStatesPuertoRico,
      unitedStatesRhodeIsland,
      unitedStatesSouthCarolina,
      unitedStatesSouthDakota,
      unitedStatesTennessee,
      unitedStatesTexas,
      unitedStatesUnitedStatesMinorOutlyingIslands,
      unitedStatesUnitedStatesVirginIslands,
      unitedStatesUtah,
      unitedStatesVermont,
      unitedStatesVirginia,
      unitedStatesWakeIsland,
      unitedStatesWashington,
      unitedStatesWestVirginia,
      unitedStatesWisconsin,
      unitedStatesWyoming
    ],
    timezones: [
      Timezone(
          abbreviation: "HST",
          gmtOffset: -36000,
          gmtOffsetName: "UTC-10:00",
          tzName: "Hawaii–Aleutian Standard Time",
          zoneName: "America/Adak"),
      Timezone(
          abbreviation: "AKST",
          gmtOffset: -32400,
          gmtOffsetName: "UTC-09:00",
          tzName: "Alaska Standard Time",
          zoneName: "America/Anchorage"),
      Timezone(
          abbreviation: "MST",
          gmtOffset: -25200,
          gmtOffsetName: "UTC-07:00",
          tzName: "Mountain Standard Time (North America",
          zoneName: "America/Boise"),
      Timezone(
          abbreviation: "CST",
          gmtOffset: -21600,
          gmtOffsetName: "UTC-06:00",
          tzName: "Central Standard Time (North America",
          zoneName: "America/Chicago"),
      Timezone(
          abbreviation: "MST",
          gmtOffset: -25200,
          gmtOffsetName: "UTC-07:00",
          tzName: "Mountain Standard Time (North America",
          zoneName: "America/Denver"),
      Timezone(
          abbreviation: "EST",
          gmtOffset: -18000,
          gmtOffsetName: "UTC-05:00",
          tzName: "Eastern Standard Time (North America",
          zoneName: "America/Detroit"),
      Timezone(
          abbreviation: "EST",
          gmtOffset: -18000,
          gmtOffsetName: "UTC-05:00",
          tzName: "Eastern Standard Time (North America",
          zoneName: "America/Indiana/Indianapolis"),
      Timezone(
          abbreviation: "CST",
          gmtOffset: -21600,
          gmtOffsetName: "UTC-06:00",
          tzName: "Central Standard Time (North America",
          zoneName: "America/Indiana/Knox"),
      Timezone(
          abbreviation: "EST",
          gmtOffset: -18000,
          gmtOffsetName: "UTC-05:00",
          tzName: "Eastern Standard Time (North America",
          zoneName: "America/Indiana/Marengo"),
      Timezone(
          abbreviation: "EST",
          gmtOffset: -18000,
          gmtOffsetName: "UTC-05:00",
          tzName: "Eastern Standard Time (North America",
          zoneName: "America/Indiana/Petersburg"),
      Timezone(
          abbreviation: "CST",
          gmtOffset: -21600,
          gmtOffsetName: "UTC-06:00",
          tzName: "Central Standard Time (North America",
          zoneName: "America/Indiana/Tell_City"),
      Timezone(
          abbreviation: "EST",
          gmtOffset: -18000,
          gmtOffsetName: "UTC-05:00",
          tzName: "Eastern Standard Time (North America",
          zoneName: "America/Indiana/Vevay"),
      Timezone(
          abbreviation: "EST",
          gmtOffset: -18000,
          gmtOffsetName: "UTC-05:00",
          tzName: "Eastern Standard Time (North America",
          zoneName: "America/Indiana/Vincennes"),
      Timezone(
          abbreviation: "EST",
          gmtOffset: -18000,
          gmtOffsetName: "UTC-05:00",
          tzName: "Eastern Standard Time (North America",
          zoneName: "America/Indiana/Winamac"),
      Timezone(
          abbreviation: "AKST",
          gmtOffset: -32400,
          gmtOffsetName: "UTC-09:00",
          tzName: "Alaska Standard Time",
          zoneName: "America/Juneau"),
      Timezone(
          abbreviation: "EST",
          gmtOffset: -18000,
          gmtOffsetName: "UTC-05:00",
          tzName: "Eastern Standard Time (North America",
          zoneName: "America/Kentucky/Louisville"),
      Timezone(
          abbreviation: "EST",
          gmtOffset: -18000,
          gmtOffsetName: "UTC-05:00",
          tzName: "Eastern Standard Time (North America",
          zoneName: "America/Kentucky/Monticello"),
      Timezone(
          abbreviation: "PST",
          gmtOffset: -28800,
          gmtOffsetName: "UTC-08:00",
          tzName: "Pacific Standard Time (North America",
          zoneName: "America/Los_Angeles"),
      Timezone(
          abbreviation: "CST",
          gmtOffset: -21600,
          gmtOffsetName: "UTC-06:00",
          tzName: "Central Standard Time (North America",
          zoneName: "America/Menominee"),
      Timezone(
          abbreviation: "AKST",
          gmtOffset: -32400,
          gmtOffsetName: "UTC-09:00",
          tzName: "Alaska Standard Time",
          zoneName: "America/Metlakatla"),
      Timezone(
          abbreviation: "EST",
          gmtOffset: -18000,
          gmtOffsetName: "UTC-05:00",
          tzName: "Eastern Standard Time (North America",
          zoneName: "America/New_York"),
      Timezone(
          abbreviation: "AKST",
          gmtOffset: -32400,
          gmtOffsetName: "UTC-09:00",
          tzName: "Alaska Standard Time",
          zoneName: "America/Nome"),
      Timezone(
          abbreviation: "CST",
          gmtOffset: -21600,
          gmtOffsetName: "UTC-06:00",
          tzName: "Central Standard Time (North America",
          zoneName: "America/North_Dakota/Beulah"),
      Timezone(
          abbreviation: "CST",
          gmtOffset: -21600,
          gmtOffsetName: "UTC-06:00",
          tzName: "Central Standard Time (North America",
          zoneName: "America/North_Dakota/Center"),
      Timezone(
          abbreviation: "CST",
          gmtOffset: -21600,
          gmtOffsetName: "UTC-06:00",
          tzName: "Central Standard Time (North America",
          zoneName: "America/North_Dakota/New_Salem"),
      Timezone(
          abbreviation: "MST",
          gmtOffset: -25200,
          gmtOffsetName: "UTC-07:00",
          tzName: "Mountain Standard Time (North America",
          zoneName: "America/Phoenix"),
      Timezone(
          abbreviation: "AKST",
          gmtOffset: -32400,
          gmtOffsetName: "UTC-09:00",
          tzName: "Alaska Standard Time",
          zoneName: "America/Sitka"),
      Timezone(
          abbreviation: "AKST",
          gmtOffset: -32400,
          gmtOffsetName: "UTC-09:00",
          tzName: "Alaska Standard Time",
          zoneName: "America/Yakutat"),
      Timezone(
          abbreviation: "HST",
          gmtOffset: -36000,
          gmtOffsetName: "UTC-10:00",
          tzName: "Hawaii–Aleutian Standard Time",
          zoneName: "Pacific/Honolulu")
    ],
    translations: {
      "kr": "미국",
      "br": "Estados Unidos",
      "pt": "Estados Unidos",
      "nl": "Verenigde Staten",
      "hr": "Sjedinjene Američke Države",
      "fa": "ایالات متحده آمریکا",
      "de": "Vereinigte Staaten von Amerika",
      "es": "Estados Unidos",
      "fr": "États-Unis",
      "ja": "アメリカ合衆国",
      "it": "Stati Uniti D'America",
      "cn": "美国"
    });
