/// Access to known geographies in Uzbekistan and their meta data.
///
/// NOTICE: This file is auto-generated and should not be changed manually.

import '../base.dart';
import 'uzbekistan_states.dart';

/// The country of `🇺🇿 Uzbekistan`, and its 14 states
const Country uzbekistan = Country(
    id: 236,
    name: "Uzbekistan",
    longitude: 64.0,
    latitude: 41.0,
    capital: "Tashkent",
    currency: "UZS",
    currencySymbol: "лв",
    emoji: "🇺🇿",
    emojiU: "U+1F1FA U+1F1FF",
    iso2: "UZ",
    iso3: "UZB",
    native: "O‘zbekiston",
    numericCode: "860",
    phoneCode: "998",
    region: "Asia",
    subregion: "Central Asia",
    tld: ".uz",
    states: [
      uzbekistanAndijanRegion,
      uzbekistanBukharaRegion,
      uzbekistanFerganaRegion,
      uzbekistanJizzakhRegion,
      uzbekistanKarakalpakstan,
      uzbekistanNamanganRegion,
      uzbekistanNavoiyRegion,
      uzbekistanQashqadaryoRegion,
      uzbekistanSamarqandRegion,
      uzbekistanSirdaryoRegion,
      uzbekistanSurxondaryoRegion,
      uzbekistanTashkent,
      uzbekistanTashkentRegion,
      uzbekistanXorazmRegion
    ],
    timezones: [
      Timezone(
          abbreviation: "UZT",
          gmtOffset: 18000,
          gmtOffsetName: "UTC+05:00",
          tzName: "Uzbekistan Time",
          zoneName: "Asia/Samarkand"),
      Timezone(
          abbreviation: "UZT",
          gmtOffset: 18000,
          gmtOffsetName: "UTC+05:00",
          tzName: "Uzbekistan Time",
          zoneName: "Asia/Tashkent")
    ],
    translations: {
      "kr": "우즈베키스탄",
      "br": "Uzbequistão",
      "pt": "Usbequistão",
      "nl": "Oezbekistan",
      "hr": "Uzbekistan",
      "fa": "ازبکستان",
      "de": "Usbekistan",
      "es": "Uzbekistán",
      "fr": "Ouzbékistan",
      "ja": "ウズベキスタン",
      "it": "Uzbekistan",
      "cn": "乌兹别克斯坦"
    });
